Opened 5 years ago

Last modified 3 years ago

#262 assigned defect

winswitch on ubuntu 14.04 keeps failing

Reported by: madsurgeon Owned by: madsurgeon
Priority: major Milestone:
Component: Server Keywords:
Cc:

Description (last modified by Antoine gmail)

I have installed winswitch 0.12.20+dfsg-1 on Ubuntu server 14.04 headless.
According to xpra documentation I have additionally installed xvfb.

When starting the client I get a connection to the server and even a list of applications to start.
On the server, I see the following processes running by then:

easyprot@phenyx:~$ ps -ef | grep [w]ins
easyprot   364     1  0 11:26 ?        00:00:00 /usr/bin/python /usr/bin/winswitch_server --daemon
easyprot 32763 32762  0 11:26 ?        00:00:00 /usr/bin/python /usr/bin/winswitch_stdio_socket
easyprot 32767 32763  0 11:26 ?        00:00:00 [winswitch_serve] <defunct>

However, I see already error messages in the server log file:

easyprot@phenyx:~$ cat .winswitch/server/server-20140825-112612.log
[DD] 2014/25/08 11:26:12.684660 main_loop.loop_init(False)
[II] 2014/25/08 11:26:12.760705 main_loop.loop_init(False) twisted version 13.2.0
[II] 2014/25/08 11:26:12.761884 globals os.uname=('Linux', 'phenyx', '3.13.0-34-generic', '#60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014', 'x86_64')
[II] 2014/25/08 11:26:12.766479 globals python package info: __version__=0.12.20
[II] 2014/25/08 11:26:12.766707 globals version=0.12.20 (svn revision 5236 - 0 local modifications), built on tipua by buildd, 2013-11-07, release_build=True
[II] 2014/25/08 11:26:12.766752 globals uid=1002, username=easyprot, name=easyprot, hostname=phenyx, locale=en_US, argv=[/usr/bin/winswitch_server --daemon]
[II] 2014/25/08 11:26:12.766780 globals Python version 2.7.6 (default, Mar 22 2014, 22:59:56) [GCC 4.8.2]
[II] 2014/25/08 11:26:12.783503 process_util.<module>() using twisted ProcessProtocol=winswitch.twisted.HiddenSpawnedProcess.HiddenSpawnedProcess
[II] 2014/25/08 11:26:12.814580 DistroHelper.__init__(jessie,apt,{},{'nx': ['/usr/bin/nxproxy', '/usr/local/bin/nxproxy', '/usr/NX/bin/nxproxy'], 'windows': ['/usr/bin/rdesktop', '/usr/local/bin/rdesktop'], 'xpra': ['/usr/bin/xpra', '/usr/local/bin/xpra'], 'vnc': ['/usr/bin/vncviewer', '/usr/local/bin/vncviewer']})
[DD] 2014/25/08 11:26:12.814745 DistroHelper.find_command(nx) paths=[/usr/bin/nxproxy, /usr/local/bin/nxproxy, /usr/NX/bin/nxproxy]
[II] 2014/25/08 11:26:12.814865 DistroHelper.find_command(nx) found in /usr/bin/nxproxy
[DD] 2014/25/08 11:26:12.814916 DistroHelper.find_command(xpra) paths=[/usr/bin/xpra, /usr/local/bin/xpra]
[II] 2014/25/08 11:26:12.814975 DistroHelper.find_command(xpra) found in /usr/bin/xpra
[DD] 2014/25/08 11:26:12.815018 DistroHelper.find_command(vnc) paths=[/usr/bin/vncviewer, /usr/local/bin/vncviewer]
[DD] 2014/25/08 11:26:12.823698 DistroHelper.find_command(windows) paths=[/usr/bin/rdesktop, /usr/local/bin/rdesktop]
[II] 2014/25/08 11:26:12.996969 commands_util.<module>() ssh=/usr/bin/ssh, keygen=/usr/bin/ssh-keygen, xpra=/usr/bin/xpra, nxagent=/usr/bin/nxagent, nxproxy=/usr/bin/nxproxy, vncviewer=/usr/bin/vncviewer, Xvnc=/usr/bin/Xvnc, vncshadow=/usr/bin/x0vncserver, rdesktop=/usr/bin/rdesktop, java=/usr/bin/java, screen=/usr/bin/screen, xterm=/usr/bin/xterm, Xming=, xmodmap=/usr/bin/xmodmap, Xvfb=/usr/bin/Xvfb, Xnest=/usr/bin/Xephyr, cupsd=/usr/bin/cupsd, gst_capture=/usr/lib/winswitch/gst_capture, gst_playback=/usr/lib/winswitch/gst_playback, app dir=/usr/lib/winswitch/winswitch/server
[II] 2014/25/08 11:26:13.007079 net_util.<module>() netifaces loaded sucessfully
[II] 2014/25/08 11:26:13.007289 net_util.<module>() successfully loaded C library from libc.so.6
[DD] 2014/25/08 11:26:13.046341 icon_cache.<module>() pixmaps_dir=['/usr/share/winswitch/icons', '/usr/share/pixmaps', '/usr/share/icons/hicolor/48x48/apps', '/usr/share/icons', '/usr/share/winswitch/wm_icons', '/usr/share/winswitch/default_icons', '/usr/share/winswitch/wm_icons', '/usr/share/winswitch/default_icons', '/usr/share/winswitch/wm_icons']
[EE] 2014/25/08 11:26:13.053504 gstreamer_util.<module>() (py)gst is missing, sound forwarding and GStreamer video streaming is disabled: No module named pygst
[II] 2014/25/08 11:26:13.057213 WinSwitchServer.__init__(False) sys.argv=[/usr/bin/winswitch_server, --daemon]
[II] 2014/25/08 11:26:13.057291 PortMapper.load_blacklisted_ports() this may take a few seconds... please be patient
[DD] 2014/25/08 11:26:13.057385 PortMapper.load_blacklisted_ports() loading from file /etc/winswitch/ports.conf
[DD] 2014/25/08 11:26:13.057427 PortMapper.load_blacklisted_ports() loaded 20 lines
[II] 2014/25/08 11:26:13.063023 PortMapper.load_blacklisted_ports() blacklisted_ports above 1024: [1024, 5900, 3389]
[II] 2014/25/08 11:26:13.063090 process_util.register_sigusr_debugging() signal debugging installed, use SIGUSR1/SIGUSR2 to enable/disable debug logging and frames dumping
[DD] 2014/25/08 11:26:13.069629 file_io.populate_object_from_properties({..},ServerSettings(),winswitch.objects.server_settings.ServerSettings,[],[],[],True,True)
[EE] 2014/25/08 11:26:13.071179 file_io.populate_object_from_properties({..},ServerSettings(),winswitch.objects.server_settings.ServerSettings,[],[],[],True,True) illegal type: <type 'NoneType'> for field gstvideo_src_plugin
[DD] 2014/25/08 11:26:13.071805 config.get_local_server_config() conf=ServerSettings(phenyx), ssh_host_public_key_file=
[II] 2014/25/08 11:26:13.071852 WinSwitchServer.check() found existing config=ServerSettings(phenyx)
[DD] 2014/25/08 11:26:13.072167 server_portinfo.get_local_server_portinfo() ID=90588505637, port(/home/easyprot/.winswitch/server/lock/server_port)=None
[II] 2014/25/08 11:26:13.078609 WinSwitchServer.start()
[DD] 2014/25/08 11:26:13.079406 main_loop.loop_run() reactor uses gtk/glib main loop
[II] 2014/25/08 11:26:13.079513 main_loop.loop_run() calling reactor.run()
[DD] 2014/25/08 11:26:13.082489 process_util.get_output(['/usr/bin/xpra', '--version'],None,None,False,False)
[II] 2014/25/08 11:26:13.168705 common.do_check_xpra_version_string(0.12.3) OK: xpra version matches the minimum required ([0, 7, 0])
[II] 2014/25/08 11:26:13.252792 server_settings.detect_xpra_encodings()=['vpx', 'png', 'png/L', 'png/P', 'jpeg', 'x264']
[DD] 2014/25/08 11:26:13.261407 process_util.get_output(['/usr/sbin/sshd', '-T'],None,None,False,False)
[II] 2014/25/08 11:26:13.275008 ServerSettings.test_supports_ssh() OK: X11 Forwarding is enabled (config line=x11forwarding yes)
[DD] 2014/25/08 11:26:13.276138 WinSwitchServer.prepare_server_config() debug_mode=True
[DD] 2014/25/08 11:26:13.276417 file_io.load_properties(/home/easyprot/.winswitch/client/client.conf) is not a valid file!
[II] 2014/25/08 11:26:13.276476 WinSwitchServer.prepare_server_config() configuration ready: ServerSettings(phenyx)
[II] 2014/25/08 11:26:13.276536 icon_cache.populate_pixmap_lookup() this may take a few seconds..
[II] 2014/25/08 11:26:13.280824 icon_cache.populate_pixmap_lookup() pixmap cache size=133, stats={'/usr/share/winswitch/wm_icons': 18, '/usr/share/pixmaps': 15, '/usr/share/winswitch/icons': 92, '/usr/share/icons/hicolor/48x48/apps': 9, '/usr/share/winswitch/default_icons': 18, '/usr/share/icons': 33}
[DD] 2014/25/08 11:26:13.280879 WinSwitchServer.load_server_start_menu()
[DD] 2014/25/08 11:26:13.281836 load_desktop_menus.do_load_start_menu(['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['', 'GNOME', 'GTK', 'Application', 'Screensaver'],['screensavers']) loading from /home/easyprot/.winswitch/server/menu
[DD] 2014/25/08 11:26:13.281917 load_desktop_menus.load_menu_files(/home/easyprot/.winswitch/server/menu,.desktop,True,['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['Mobile', 'KDE'],True,['screensavers'],Command)
[II] 2014/25/08 11:26:13.282057 load_desktop_menus.do_load_start_menu(['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['', 'GNOME', 'GTK', 'Application', 'Screensaver'],['screensavers']) no files found in /home/easyprot/.winswitch/server/menu, using system locations: ['/usr/local/share/applications', '/usr/share/applications', '/home/easyprot/.local/share/applications']
[DD] 2014/25/08 11:26:13.282132 load_desktop_menus.load_menu_files(/usr/local/share/applications,.desktop,True,['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['Mobile', 'KDE'],True,['screensavers'],Command)
[DD] 2014/25/08 11:26:13.282222 load_desktop_menus.load_menu_files(/usr/share/applications,.desktop,True,['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['Mobile', 'KDE'],True,['screensavers'],Command)
[DD] 2014/25/08 11:26:13.296700 load_desktop_menus.load_menu_files(/home/easyprot/.local/share/applications,.desktop,True,['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['Mobile', 'KDE'],True,['screensavers'],Command)
[DD] 2014/25/08 11:26:13.296764 load_desktop_menus.load_menu_files(/usr/share/desktop-directories,.directory,False,None,['*'],['Mobile', 'KDE'],True,[],Category)
[DD] 2014/25/08 11:26:13.296808 load_desktop_menus.load_menu_files(/usr/local/share/desktop-directories,.directory,False,None,['*'],['Mobile', 'KDE'],True,[],Category)
[II] 2014/25/08 11:26:13.296858 load_desktop_menus.do_load_start_menu(['winswitch_applet', 'xpra_launcher', 'compiz', 'alltray', 'ccsm', 'avant-window-navigator', 'awn-manager', 'fusion-icon', 'vncviewer', 'nxclient', '*blueproximity*', 'bluetooth*', 'gpilotd-control-applet', 'gsynaptics', 'gnome-obex-server', 'gnome-display-properties', 'grandr', '*gdmsetup', '*gdmphotosetup', 'gnome-screensaver-preferences', 'resapplet', '*xscreensaver*', '*screenshot*', 'istanbul', 'gtk-recordMyDesktop', 'lxrandr', 'gnome-mouse-properties', 'gnome-power-preferences', '*gparted', '*jockey-gtk', 'unetbootin', 'usb-creator', 'gnome-session-properties', 'gnome-panel', 'alacarte', 'screenlets-manager', 'gnome-appearance-properties', 'onboard-settings', 'gnome-window-properties', 'lxsession-edit', 'gnome-keybinding-properties', 'gnome-keyboard-properties', 'oo*', 'openoffice*', '*battery-graph*', 'decibel-audio-player*', 'pavucontrol', 'padevchooser', 'xfce4-mixer', 'rhythmbox*', '*javaws', '*jconsole', 'openbox-session', 'konqueror*', 'chromium*', 'xdg-open*', '*/xdg-open*', 'exo-open*', 'gnome-terminal', 'mate-terminal', ''],['*'],['', 'GNOME', 'GTK', 'Application', 'Screensaver'],['screensavers']) loaded 13 commands and 0 directories
[DD] 2014/25/08 11:26:13.296927 load_desktop_menus.load_xsessions(['startmoblin'],['*']) loading from /home/easyprot/.winswitch/server/xsessions
[DD] 2014/25/08 11:26:13.296961 load_desktop_menus.load_menu_files(/home/easyprot/.winswitch/server/xsessions,.desktop,True,None,['*'],['Mobile', 'KDE'],True,[],Desktop)
[II] 2014/25/08 11:26:13.297025 load_desktop_menus.load_xsessions(['startmoblin'],['*']) no files found in /home/easyprot/.winswitch/server/xsessions, using system locations: ['/usr/share/xsessions', '/usr/local/share/xsessions']
[DD] 2014/25/08 11:26:13.297062 load_desktop_menus.load_menu_files(/usr/share/xsessions,.desktop,True,['startmoblin'],['*'],['Mobile', 'KDE'],True,[],Desktop)
[DD] 2014/25/08 11:26:13.297104 load_desktop_menus.load_menu_files(/usr/local/share/xsessions,.desktop,True,['startmoblin'],['*'],['Mobile', 'KDE'],True,[],Desktop)
[DD] 2014/25/08 11:26:13.297145 load_desktop_menus.load_xsessions(['startmoblin'],['*'])=[]
[DD] 2014/25/08 11:26:13.297205 load_desktop_menus.load_menu_files(/home/easyprot/.winswitch/server/actions,.desktop,True,None,['*'],['Mobile', 'KDE'],True,[],Action)
[DD] 2014/25/08 11:26:13.297465 load_desktop_menus.load_actions()=[Action(Browse: None)]
[II] 2014/25/08 11:26:13.297498 WinSwitchServer.load_server_start_menu() found 13 server commands, 0 menu directories, 0 desktop commands, 1 shortcuts
[DD] 2014/25/08 11:26:13.297579 WinSwitchServer.detect_X_locks() found lockfile .X11-unix, marking port 6011 as taken
[DD] 2014/25/08 11:26:13.297609 WinSwitchServer.detect_X_locks() detected ports: [6011]
[II] 2014/25/08 11:26:13.298180 WinSwitchServer.assign_fs_utils() fs_client_helpers={'nfs': <winswitch.fs.nfs_client_helper.NFS_Client_Helper instance at 0x7f57ed2eb950>, 'smb': <winswitch.fs.smb_client_helper.Samba_Client_Helper instance at 0x7f57ed2eb830>}
[II] 2014/25/08 11:26:13.312605 utmp_wrapper.<module>() getutents=<function python_utmp_getutents at 0x7f57e9d55410>
[DD] 2014/25/08 11:26:13.312943 file_io.populate_object_from_properties({..},<winswitch.virt.screen_server_util.ScreenServerUtil instance at 0x7f57e9d4d1b8>,<type 'instance'>,[enabled],[],[],True,True)
[II] 2014/25/08 11:26:13.313011 ScreenServerUtil.load_config()={}
[DD] 2014/25/08 11:26:13.313055 ScreenServerUtil.detect_sessions() not implemented for screen
[DD] 2014/25/08 11:26:13.313299 file_io.populate_object_from_properties({..},<winswitch.virt.xpra_server_util.XpraServerUtil instance at 0x7f57e9dae4d0>,<type 'instance'>,[# support for xpra sessions:, enabled, # the TCP port number offset we try to allocate from, port_base, # when detecting new sessions, use this delay to batch detection, batch_detect_sessions_delay, # log all session output (debugging), debug_log_read, # how long to wait before assuming the session has timed out, session_start_timeout, # test the version of all xpra sessions found and upgrade them if needed, auto_upgrade_xpra_sessions, # also force the upgrade when the version is already the latest, auto_upgrade_same_version, # when we find xpra sessions started externally, restart them so they can be used with winswitch, capture_external_sessions, # start the server in debug mode (very verbose!), xpra_server_debug_mode, # when a session starts, ignore its socket status during the grace period, start_grace_delay],[],[],True,True)
[II] 2014/25/08 11:26:13.313400 XpraServerUtil.load_config()={}
[DD] 2014/25/08 11:26:13.313611 file_io.populate_object_from_properties({..},<winswitch.virt.localX11_server_util.LocalX11ServerUtil instance at 0x7f57e9d4d9e0>,<type 'instance'>,[# support for X11 sessions:, enabled, # the TCP port number offset we try to allocate from, port_base, # when detecting new sessions, use this delay to batch detection, batch_detect_sessions_delay, # the name of the session for display :0, display0_session_name, # the prefix for session names (the display number will be appended to it), display_session_name_prefix, # x11 display numbers higher than this value will be ignored, max_x11_display_number],[],[],True,True)
[II] 2014/25/08 11:26:13.313686 LocalX11ServerUtil.load_config()={}
[DD] 2014/25/08 11:26:13.313980 file_io.populate_object_from_properties({..},<winswitch.virt.nx_server_util.NXServerUtil instance at 0x7f57e9dbacf8>,<type 'instance'>,[# support for nx sessions:, enabled, # the TCP port number offset we try to allocate from, port_base, # log all session output (debugging), debug_log_read, # how long to wait before assuming the session has timed out, session_start_timeout, # default options for the nxagent configuration file, default_nxagent_options],[],[],True,True)
[II] 2014/25/08 11:26:13.314327 NXServerUtil.load_config()={}
[DD] 2014/25/08 11:26:13.315124 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.315569 config.load_session_icon(:117) loaded 0 from /home/easyprot/.winswitch/server/sessions/117/session.icon
[DD] 2014/25/08 11:26:13.315606 WinSwitchServer.load_existing_session_files() found xpra session on display :117 in state starting
[DD] 2014/25/08 11:26:13.315920 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.316163 config.load_session_icon(:62) loaded 0 from /home/easyprot/.winswitch/server/sessions/62/session.icon
[DD] 2014/25/08 11:26:13.316193 WinSwitchServer.load_existing_session_files() found xpra session on display :62 in state starting
[DD] 2014/25/08 11:26:13.316516 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.317003 config.load_session_icon(:60) loaded 128 from /home/easyprot/.winswitch/server/sessions/60/session.icon
[DD] 2014/25/08 11:26:13.317038 WinSwitchServer.load_existing_session_files() found xpra session on display :60 in state closed
[DD] 2014/25/08 11:26:13.317478 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.317697 config.load_session_icon(:61) loaded 0 from /home/easyprot/.winswitch/server/sessions/61/session.icon
[DD] 2014/25/08 11:26:13.317727 WinSwitchServer.load_existing_session_files() found xpra session on display :61 in state starting
[II] 2014/25/08 11:26:13.317824 ScreenServerUtil.zap_existing_sessions([])
[DD] 2014/25/08 11:26:13.317865 process_util.get_output(['/usr/bin/screen', '-ls'],None,None,False,False)
[EE] 2014/25/08 11:26:13.327233 XpraServerUtil.may_warn(ServerSession(:117 - xpra - starting)) session does not have a server_process_pid, assuming it is dead and deleting it
[EE] 2014/25/08 11:26:13.327385 XpraServerUtil.may_warn(ServerSession(:62 - xpra - starting)) session does not have a server_process_pid, assuming it is dead and deleting it
[EE] 2014/25/08 11:26:13.327432 XpraServerUtil.may_warn(ServerSession(:61 - xpra - starting)) session does not have a server_process_pid, assuming it is dead and deleting it
[II] 2014/25/08 11:26:13.328373 XpraServerUtil.detect_sessions() found: [('UNKNOWN', ':117'), ('UNKNOWN', ':60')]
[DD] 2014/25/08 11:26:13.329096 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.329480 config.load_session_icon(:117) loaded 0 from /home/easyprot/.winswitch/server/sessions/117/session.icon
[II] 2014/25/08 11:26:13.329541 XpraServerUtil.detected_new_session(UNKNOWN,:117) found session details on disk: state=starting, preload=True
[DD] 2014/25/08 11:26:13.329589 XpraServerUtil.add_local_user(easyprot,None)
[DD] 2014/25/08 11:26:13.329690 WinSwitchServer.add_new_session(ServerSession(:117 - xpra - starting)) can_capture=True, screen_capture_command=
[II] 2014/25/08 11:26:13.329781 WinSwitchServer.send_session_to_all(ServerSession(:117 - xpra - starting)) clients=[]
[DD] 2014/25/08 11:26:13.329851 FirewallUtil.call_script(['ADD', '127.0.0.1', '15118']) firewall_script=/usr/lib/winswitch/firewall
[II] 2014/25/08 11:26:13.329899 FirewallUtil.call_script(['ADD', '127.0.0.1', '15118']) firewall script disabled
[DD] 2014/25/08 11:26:13.330362 file_io.populate_object_from_properties({..},ServerSession( -  - ),winswitch.objects.server_session.ServerSession,[],[],[],True,True)
[DD] 2014/25/08 11:26:13.330770 config.load_session_icon(:60) loaded 128 from /home/easyprot/.winswitch/server/sessions/60/session.icon
[II] 2014/25/08 11:26:13.330823 XpraServerUtil.detected_new_session(UNKNOWN,:60) found session details on disk: state=closed, preload=False
[DD] 2014/25/08 11:26:13.330879 XpraServerUtil.add_local_user(easyprot,None)
[DD] 2014/25/08 11:26:13.330944 WinSwitchServer.add_new_session(ServerSession(:60 - xpra - closed)) can_capture=False, screen_capture_command=
[II] 2014/25/08 11:26:13.330987 WinSwitchServer.send_session_to_all(ServerSession(:60 - xpra - closed)) clients=[]
[DD] 2014/25/08 11:26:13.331037 WinSwitchServer.update_session_status(ServerSession(:60 - xpra - closed),closed,None) session already removed
[DD] 2014/25/08 11:26:13.331081 FirewallUtil.call_script(['ADD', '127.0.0.1', '15061']) firewall_script=/usr/lib/winswitch/firewall
[DD] 2014/25/08 11:26:13.331219 process_util.twisted_exec(['/usr/bin/xpra', 'version', ':117'],<function got_version at 0x7f57e9d60938>,<function err_version at 0x7f57e9d608c0>,None,None)
[DD] 2014/25/08 11:26:13.331434 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'version', ':117']
[DD] 2014/25/08 11:26:13.338088 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:26:13.338395 process_util.twisted_exec(['/usr/bin/xpra', 'version', ':60'],<function got_version at 0x7f57e9d60cf8>,<function err_version at 0x7f57e9d60c80>,None,None)
[DD] 2014/25/08 11:26:13.338640 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'version', ':60']
[DD] 2014/25/08 11:26:13.344549 ProcessOutput.connectionMade()
[II] 2014/25/08 11:26:13.344881 LocalX11ServerUtil.zap_existing_sessions([])
[II] 2014/25/08 11:26:13.344927 LocalX11ServerUtil.detect_existing_sessions() found getutents=<function python_utmp_getutents at 0x7f57e9d55410>, we should be able to detect local displays
[DD] 2014/25/08 11:26:13.344958 LocalX11ServerUtil.detect_local_displays()
[DD] 2014/25/08 11:26:13.345391 LocalX11ServerUtil.detect_local_displays() <function python_utmp_getutents at 0x7f57e9d55410>()=[7 7127 pts/3 pts/3 easyprot dkf40-214.dkf.unibe.ch 0 None 1408952164 (-701997950, 0, 0, 0), 7 6176 pts/2 pts/2 david dkf40-214.dkf.unibe.ch 0 None 1408951599 (-701997950, 0, 0, 0), 7 6113 pts/0 pts/0 easyprot dkf40-214.dkf.unibe.ch 0 None 1408951564 (-701997950, 0, 0, 0)]
[DD] 2014/25/08 11:26:13.345440 LocalX11ServerUtil.X11_display(pts/3) skipped pts 7 7127 pts/3 pts/3 easyprot dkf40-214.dkf.unibe.ch 0 None 1408952164 (-701997950, 0, 0, 0)
[DD] 2014/25/08 11:26:13.345480 LocalX11ServerUtil.X11_display(dkf40-214) utmp entry <winswitch.virt.utmp_wrapper.utmp_rec instance at 0x7f57e9d6ddd0> does not look like a display or tty
[DD] 2014/25/08 11:26:13.345516 LocalX11ServerUtil.detect_local_displays() session 7 6176 pts/2 pts/2 david dkf40-214.dkf.unibe.ch 0 None 1408951599 (-701997950, 0, 0, 0) ignored (owned by david)
[DD] 2014/25/08 11:26:13.345554 LocalX11ServerUtil.X11_display(pts/0) skipped pts 7 6113 pts/0 pts/0 easyprot dkf40-214.dkf.unibe.ch 0 None 1408951564 (-701997950, 0, 0, 0)
[DD] 2014/25/08 11:26:13.345586 LocalX11ServerUtil.X11_display(dkf40-214) utmp entry <winswitch.virt.utmp_wrapper.utmp_rec instance at 0x7f57e9d6de18> does not look like a display or tty
[DD] 2014/25/08 11:26:13.345612 LocalX11ServerUtil.detect_local_displays() testing: {}
[DD] 2014/25/08 11:26:13.346064 LocalX11ServerUtil.detect_existing_sessions() watching for wtmp traffic using <__main__.GInotifyFileMonitor object at 0x7f57e9d78550 (GInotifyFileMonitor at 0x20a5b70)>
[DD] 2014/25/08 11:26:13.346156 ScreenServerUtil.setup_directory_watcher() watching []
[DD] 2014/25/08 11:26:13.346191 XpraServerUtil.setup_directory_watcher() watching [/home/easyprot/.xpra]
[DD] 2014/25/08 11:26:13.346271 LocalX11ServerUtil.setup_directory_watcher() watching []
[DD] 2014/25/08 11:26:13.346303 NXServerUtil.setup_directory_watcher() watching []
[II] 2014/25/08 11:26:13.346358 WinSwitchServer.assign_virt_utils()={'nx': <winswitch.virt.nx_server_util.NXServerUtil instance at 0x7f57e9dbacf8>, 'X11': <winswitch.virt.localX11_server_util.LocalX11ServerUtil instance at 0x7f57e9d4d9e0>, 'screen': <winswitch.virt.screen_server_util.ScreenServerUtil instance at 0x7f57e9d4d1b8>, 'xpra': <winswitch.virt.xpra_server_util.XpraServerUtil instance at 0x7f57e9dae4d0>}
[DD] 2014/25/08 11:26:13.346542 WinSwitchServer.selinux_callback(False,False,SELinux is not enabled)
[DD] 2014/25/08 11:26:13.346620 ClientChannelFactory.__init__(WinSwitchServer(90588505637),True)
[II] 2014/25/08 11:26:13.350194 WinSwitchServer.setup_local_listener() listening on local socket '/home/easyprot/.winswitch/server/socket'
[DD] 2014/25/08 11:26:13.350257 ClientChannelFactory.__init__(WinSwitchServer(90588505637),False)
[DD] 2014/25/08 11:26:13.350305 net_util.tcp_listen_on(ClientChannelFactory(WinSwitchServer(90588505637),False),*:)
[DD] 2014/25/08 11:26:13.351011 net_util.tcp_listen_on() listening on '0.0.0.0' port '43551'
[II] 2014/25/08 11:26:13.351053 WinSwitchServer.setup_tcp_listeners() started listening on: [('0.0.0.0', 43551)]
[DD] 2014/25/08 11:26:13.351496 WinSwitchServer.save_port_file()
[DD] 2014/25/08 11:26:13.420295 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'version', ':117']), exitCode=1
[DD] 2014/25/08 11:26:13.420476 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[EE] 2014/25/08 11:26:13.420524 XpraServerUtil.err_version(connection failed: [Errno 111] Connection refused)
[DD] 2014/25/08 11:26:13.420576 process_util.twisted_exec(['/usr/bin/xpra', 'info', ':117'],<function got_info at 0x7f57e9d84c08>,<function err_info at 0x7f57e9d60aa0>,None,None)
[DD] 2014/25/08 11:26:13.420740 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'info', ':117']
[DD] 2014/25/08 11:26:13.427091 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:26:13.429500 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'version', ':60']), exitCode=1
[DD] 2014/25/08 11:26:13.429619 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[EE] 2014/25/08 11:26:13.429666 XpraServerUtil.err_version(connection failed: [Errno 111] Connection refused)
[DD] 2014/25/08 11:26:13.429716 process_util.twisted_exec(['/usr/bin/xpra', 'info', ':60'],<function got_info at 0x7f57e9d60de8>,<function err_info at 0x7f57e9d60e60>,None,None)
[DD] 2014/25/08 11:26:13.429880 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'info', ':60']
[DD] 2014/25/08 11:26:13.435589 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:26:13.508707 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'info', ':117']), exitCode=1
[DD] 2014/25/08 11:26:13.508873 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[II] 2014/25/08 11:26:13.508918 XpraServerUtil.err_info(connection failed: [Errno 111] Connection refused)
[EE] 2014/25/08 11:26:13.508998 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) ok_callback=<function got_info at 0x7f57e9d84c08>, err_callback=<function err_info at 0x7f57e9d60aa0>
[ee] 2014/25/08 11:26:13.509534 Traceback (most recent call last):
[ee] 2014/25/08 11:26:13.509560   File "/usr/lib/winswitch/winswitch/util/process_util.py", line 417, in processEnded
[ee] 2014/25/08 11:26:13.509583     self.err_callback(out)
[ee] 2014/25/08 11:26:13.509603   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 427, in err_info
[ee] 2014/25/08 11:26:13.509621     callback()
[ee] 2014/25/08 11:26:13.509641   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 487, in after_getting_info
[ee] 2014/25/08 11:26:13.509659     with_version(self.auto_upgrade_same_version)
[ee] 2014/25/08 11:26:13.509678   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 474, in with_version
[ee] 2014/25/08 11:26:13.509699     self.sdebug("xpra_version=%s" % session.xpra_version, force_upgrade)
[ee] 2014/25/08 11:26:13.509718 AttributeError: ServerSession instance has no attribute 'xpra_version'
[DD] 2014/25/08 11:26:13.517494 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'info', ':60']), exitCode=1
[DD] 2014/25/08 11:26:13.517576 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[II] 2014/25/08 11:26:13.517609 XpraServerUtil.err_info(connection failed: [Errno 111] Connection refused)
[EE] 2014/25/08 11:26:13.517659 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) ok_callback=<function got_info at 0x7f57e9d60de8>, err_callback=<function err_info at 0x7f57e9d60e60>
[ee] 2014/25/08 11:26:13.517734 Traceback (most recent call last):
[ee] 2014/25/08 11:26:13.517757   File "/usr/lib/winswitch/winswitch/util/process_util.py", line 417, in processEnded
[ee] 2014/25/08 11:26:13.517776     self.err_callback(out)
[ee] 2014/25/08 11:26:13.517796   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 427, in err_info
[ee] 2014/25/08 11:26:13.517814     callback()
[ee] 2014/25/08 11:26:13.517834   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 487, in after_getting_info
[ee] 2014/25/08 11:26:13.517852     with_version(self.auto_upgrade_same_version)
[ee] 2014/25/08 11:26:13.517871   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 474, in with_version
[ee] 2014/25/08 11:26:13.517890     self.sdebug("xpra_version=%s" % session.xpra_version, force_upgrade)
[ee] 2014/25/08 11:26:13.517909 AttributeError: ServerSession instance has no attribute 'xpra_version'
[DD] 2014/25/08 11:26:14.352914 WinSwitchServer.publish()
[II] 2014/25/08 11:26:14.352966 WinSwitchServer.publish() mDNS_publish=False
[DD] 2014/25/08 11:26:17.659948 WinSwitchClientChannel.connectionMade() via local socket
[DD] 2014/25/08 11:26:17.661579 ProtocolHandler.__init__(ServerSettings(phenyx),<bound method WinSwitchClientChannel.send_message of <winswitch.server.client_channel.WinSwitchClientChannel instance at 0x7f57e990a4d0>>)
[DD] 2014/25/08 11:26:17.661893 WinSwitchClientChannel.get_handler() adding local handlers
[II] 2014/25/08 11:26:17.756635 ProtocolHandler.do_set_salt(86a2cfcc5451498ea82e7a7f86dd4602) previous salt=None
[DD] 2014/25/08 11:26:17.756703 ProtocolHandler.check_parse_version(3,0.12.20)
[II] 2014/25/08 11:26:17.756760 common.check_remote_version([0, 12, 20]) OK: remote application version matches the minimum required ([0, 12, 8])
[II] 2014/25/08 11:26:17.756803 WinSwitchClientChannel.sync_local()
[DD] 2014/25/08 11:26:17.771681 crypt_util.sign_long(<type 'instance'>,86a2cfcc5451498ea82e7a7f86dd4602)=1461272594800494023436076331067834803874559546437881165395364463204194039362018812745239958918635...
[II] 2014/25/08 11:26:17.818487 WinSwitchClientChannel.add_user(('easyprot', 'Administrator', 'Administrator', '913860e1cef64bc59c219acd8af3b228', 'pc-PC', '2220...)
[II] 2014/25/08 11:26:17.818738 WinSwitchClientChannel.do_add_user(58952511253550908...,b242991865c0fa80d...,User(Administrator : 913860e1cef64bc59c219acd8af3b228)) remote host=127.0.0.1, tunneled=True
[II] 2014/25/08 11:26:17.819087 WinSwitchClientChannel.check_signature(<_RSAobj @0x7f57e9933290 n(2048),e>,58952511253550908...,b9a4f7404e964ca1a332f7c49a6bde33)=True
[II] 2014/25/08 11:26:17.819121 WinSwitchClientChannel.do_add_user(58952511253550908...,b242991865c0fa80d...,User(Administrator : 913860e1cef64bc59c219acd8af3b228)) local socket connection, not checking password
[DD] 2014/25/08 11:26:17.819171 WinSwitchClientChannel.do_add_user(58952511253550908...,b242991865c0fa80d...,User(Administrator : 913860e1cef64bc59c219acd8af3b228)) existing connection=None
[DD] 2014/25/08 11:26:17.819367 WinSwitchServer.add_local_user(easyprot,913860e1cef64bc59c219acd8af3b228,xpra)
[DD] 2014/25/08 11:26:17.819429 ScreenServerUtil.add_local_user(easyprot,913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.819465 XpraServerUtil.add_local_user(easyprot,913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.819501 LocalX11ServerUtil.add_local_user(easyprot)
[DD] 2014/25/08 11:26:17.819527 LocalX11ServerUtil.add_local_user(easyprot,913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.819560 LocalX11ServerUtil.schedule_detect_local_displays(800) detect_local_displays_pending=False
[DD] 2014/25/08 11:26:17.819652 NXServerUtil.add_local_user(easyprot,913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.819684 WinSwitchClientChannel.logged_in_ok(User(Administrator : 913860e1cef64bc59c219acd8af3b228)) username=easyprot, uuid=913860e1cef64bc59c219acd8af3b228
[DD] 2014/25/08 11:26:17.819841 WinSwitchServer.add_client(WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))) user=User(Administrator : 913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.819923 WinSwitchClientChannel.send_tunnel_ports() tunnel_printer=False, user.local_ipp_port=0, FORCE_IPP_TUNNEL=False
[DD] 2014/25/08 11:26:17.819953 WinSwitchClientChannel.send_tunnel_ports() tunnel_fs=False, user.local_samba_port=139, FORCE_SAMBA_TUNNEL=False
[DD] 2014/25/08 11:26:17.849535 ProtocolHandler.do_set_user_icon(913860e1cef64bc59c219acd8af3b228,..) user=User(Administrator : 913860e1cef64bc59c219acd8af3b228)
[DD] 2014/25/08 11:26:17.849597 WinSwitchClientChannel.handle_command(set_user_icon '913860e1cef64bc59c219acd8af3b228','base64:iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABX...) forwarding command to all clients
[II] 2014/25/08 11:26:17.849643 WinSwitchServer.send_all(set_user_icon '913860e1cef64bc59c219acd8af3b228','base64:iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABX...,WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))) clients=[WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))]
[DD] 2014/25/08 11:26:17.849694 ProtocolHandler.check_parse_version(3,0.12.20)
[II] 2014/25/08 11:26:17.849741 common.check_remote_version([0, 12, 20]) OK: remote application version matches the minimum required ([0, 12, 8])
[II] 2014/25/08 11:26:17.849781 WinSwitchClientChannel.sync()
[II] 2014/25/08 11:26:17.850095 WinSwitchClientChannel.send_server_commands() sent 0 items of type directory, 6 items of type command, 0 items of type desktops, 1 items of type actions
[II] 2014/25/08 11:26:17.850125 WinSwitchClientChannel.send_visible_users()
[II] 2014/25/08 11:26:17.850218 WinSwitchClientChannel.send_accessible_sessions()
[DD] 2014/25/08 11:26:17.916046 icon_util.load_pixmap_file(/usr/share/pixmaps/htop.png,48) gtk pixmap load failed
[DD] 2014/25/08 11:26:17.916910 icon_util.load_pixmap_file(/usr/share/icons/hicolor/16x16/apps/openjdk-6.png,48) gtk pixmap load failed
[DD] 2014/25/08 11:26:17.917609 icon_util.load_pixmap_file(/usr/share/icons/hicolor/16x16/apps/openjdk-7.png,48) gtk pixmap load failed
[DD] 2014/25/08 11:26:17.918854 icon_util.load_pixmap_file(/usr/share/icons/hicolor/48x48/apps/visualvm.xpm,48) gtk pixmap load failed
[DD] 2014/25/08 11:26:18.620558 LocalX11ServerUtil.detect_local_displays()
[DD] 2014/25/08 11:26:18.621060 LocalX11ServerUtil.detect_local_displays() <function python_utmp_getutents at 0x7f57e9d55410>()=[7 7127 pts/3 pts/3 easyprot dkf40-214.dkf.unibe.ch 0 None 1408952164 (-701997950, 0, 0, 0), 7 6176 pts/2 pts/2 david dkf40-214.dkf.unibe.ch 0 None 1408951599 (-701997950, 0, 0, 0), 7 6113 pts/0 pts/0 easyprot dkf40-214.dkf.unibe.ch 0 None 1408951564 (-701997950, 0, 0, 0)]
[DD] 2014/25/08 11:26:18.621108 LocalX11ServerUtil.X11_display(pts/3) skipped pts 7 7127 pts/3 pts/3 easyprot dkf40-214.dkf.unibe.ch 0 None 1408952164 (-701997950, 0, 0, 0)
[DD] 2014/25/08 11:26:18.621145 LocalX11ServerUtil.X11_display(dkf40-214) utmp entry <winswitch.virt.utmp_wrapper.utmp_rec instance at 0x7f57f407a050> does not look like a display or tty
[DD] 2014/25/08 11:26:18.621182 LocalX11ServerUtil.detect_local_displays() session 7 6176 pts/2 pts/2 david dkf40-214.dkf.unibe.ch 0 None 1408951599 (-701997950, 0, 0, 0) ignored (owned by david)
[DD] 2014/25/08 11:26:18.621218 LocalX11ServerUtil.X11_display(pts/0) skipped pts 7 6113 pts/0 pts/0 easyprot dkf40-214.dkf.unibe.ch 0 None 1408951564 (-701997950, 0, 0, 0)
[DD] 2014/25/08 11:26:18.621250 LocalX11ServerUtil.X11_display(dkf40-214) utmp entry <winswitch.virt.utmp_wrapper.utmp_rec instance at 0x7f57f5c98290> does not look like a display or tty
[DD] 2014/25/08 11:26:18.621277 LocalX11ServerUtil.detect_local_displays() testing: {}
[DD] 2014/25/08 11:26:27.828720 ProtocolHandler.check_response_received(ping,4) response_counter=15

Then, after trying to start an application from the client, I see the following processes on the server:

easyprot@phenyx:~$ ps -ef | grep [w]ins
easyprot   364     1  0 11:26 ?        00:00:00 /usr/bin/python /usr/bin/winswitch_server --daemon
easyprot  2373     1  5 11:33 ?        00:00:00 /usr/bin/python /usr/bin/xpra --bind-tcp=127.0.0.1:15062 --password-file=/home/easyprot/.winswitch/server/sessions/61/session.pass --no-daemon start :61
easyprot 32763 32762  0 11:26 ?        00:00:00 /usr/bin/python /usr/bin/winswitch_stdio_socket
easyprot 32767 32763  0 11:26 ?        00:00:00 [winswitch_serve] <defunct>

And this is the server logfile gets appended by the following lines:

[DD] 2014/25/08 11:33:47.551042 WinSwitchClientChannel.start_session(aa995f59daaf3fdc255b45743a7f9669,xpra,,read_only=False;encoding="";,None) options={'read_only': 'False', 'encoding': '""'}
[II] 2014/25/08 11:33:47.551204 WinSwitchClientChannel.start_session(aa995f59daaf3fdc255b45743a7f9669,xpra,,read_only=False;encoding="";) command=Command(Htop: htop), user=User(Administrator : 913860e1cef64bc59c219acd8af3b228)
[II] 2014/25/08 11:33:47.551250 WinSwitchServer.start_session(User(Administrator : 913860e1cef64bc59c219acd8af3b228),xpra,Command(Htop: htop),,{'read_only': 'False', 'encoding': '""'},None)
[DD] 2014/25/08 11:33:47.551292 WinSwitchServer.real_start_session(User(Administrator : 913860e1cef64bc59c219acd8af3b228),xpra,Command(Htop: htop),,{'read_only': 'False', 'encoding': '""'},None)
[DD] 2014/25/08 11:33:47.551357 XpraServerUtil.get_prelaunch_session(913860e1cef64bc59c219acd8af3b228,easyprot,,{'read_only': 'False', 'encoding': '""'}) going to test: [ServerSession(:117 - xpra - starting), ServerSession(:60 - xpra - closed)]
[DD] 2014/25/08 11:33:47.551406 XpraServerUtil.get_prelaunch_session(913860e1cef64bc59c219acd8af3b228,easyprot,,{'read_only': 'False', 'encoding': '""'})=ServerSession(:117 - xpra - starting)
[II] 2014/25/08 11:33:47.551453 XpraServerUtil.prelaunch_start_command(ServerSession(:117 - xpra - starting),Command(Htop: htop),User(Administrator : 913860e1cef64bc59c219acd8af3b228),,{'read_only': 'False', 'encoding': '""'},None)
[DD] 2014/25/08 11:33:47.551537 XpraServerUtil.initialize_session_from_command(ServerSession(:117 - xpra - starting),Command(Htop: htop)) now set name=Htop, uses_sound_out=False, uses_sound_in=False
[DD] 2014/25/08 11:33:47.551584 WinSwitchServer.add_new_session(ServerSession(:117 - xpra - starting)) can_capture=True, screen_capture_command=
[II] 2014/25/08 11:33:47.551661 WinSwitchServer.send_session_to_all(ServerSession(:117 - xpra - starting)) clients=[WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))]
[DD] 2014/25/08 11:33:47.551781 XpraServerUtil.get_prelaunch_session(None,913860e1cef64bc59c219acd8af3b228,None,{}) going to test: [ServerSession(:117 - xpra - starting), ServerSession(:60 - xpra - closed)]
[DD] 2014/25/08 11:33:47.551817 XpraServerUtil.get_prelaunch_session(None,913860e1cef64bc59c219acd8af3b228,None,{}) session ServerSession(:117 - xpra - starting) is already associated with another user: easyprot
[DD] 2014/25/08 11:33:47.551867 XpraServerUtil.get_prelaunch_session(None,913860e1cef64bc59c219acd8af3b228,None,{}) session ServerSession(:60 - xpra - closed) is already associated with another user: easyprot
[II] 2014/25/08 11:33:47.551963 XpraServerUtil.wait_for_session_readyness(ServerSession(:117 - xpra - starting),User(Administrator : 913860e1cef64bc59c219acd8af3b228),<function session_started at 0x7f57e8c4bc08>,<function session_error at 0x7f57e8c4bc80>) adding/firing session status update callbacks
[DD] 2014/25/08 11:33:47.576736 ProtocolHandler.send_session_icon(ServerSession(:117 - xpra - starting),True) no icon data available...
[DD] 2014/25/08 11:33:52.556905 XpraServerUtil.get_prelaunch_session(913860e1cef64bc59c219acd8af3b228,None,None,{}) going to test: [ServerSession(:117 - xpra - starting), ServerSession(:60 - xpra - closed)]
[DD] 2014/25/08 11:33:52.557082 XpraServerUtil.get_prelaunch_session(913860e1cef64bc59c219acd8af3b228,None,None,{}) session ServerSession(:117 - xpra - starting) is not a preloaded session
[DD] 2014/25/08 11:33:52.580979 XpraServerUtil.get_prelaunch_session(913860e1cef64bc59c219acd8af3b228,None,None,{}) session ServerSession(:60 - xpra - closed) is not a preloaded session
[DD] 2014/25/08 11:33:52.581107 XpraServerUtil.do_start_session(None,913860e1cef64bc59c219acd8af3b228,None,True,None,None,None)
[DD] 2014/25/08 11:33:52.581746 XpraServerUtil.initialize_new_session(913860e1cef64bc59c219acd8af3b228,None,True,None,:61,15062)=ServerSession(:61 - xpra - starting)
[DD] 2014/25/08 11:33:52.581797 XpraServerUtil.start_dbus() dbus_command=dbus-daemon --fork --print-address=1 --print-pid=1 --session
[DD] 2014/25/08 11:33:52.582213 process_util.get_output(['dbus-daemon', '--fork', '--print-address=1', '--print-pid=1', '--session'],None,None,False,False)
[DD] 2014/25/08 11:33:52.593027 XpraServerUtil.start_dbus(ServerSession(:61 - xpra - starting)) output(dbus-daemon --fork --print-address=1 --print-pid=1 --session)=(0,unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300\n2367\n)
[II] 2014/25/08 11:33:52.593192 XpraServerUtil.start_dbus(ServerSession(:61 - xpra - starting)) dbus_pid=2367, dbus_address=unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300
[DD] 2014/25/08 11:33:52.593635 file_io.save_object_to_properties(ServerSession(:61 - xpra - starting),None,None) /home/easyprot/.winswitch/server/sessions/61/config.txt
[DD] 2014/25/08 11:33:52.594340 XpraServerUtil.start_display(ServerSession(:61 - xpra - starting),None,True,False)
[II] 2014/25/08 11:33:52.594763 XpraServerUtil.start_daemon(ServerSession(:61 - xpra - starting),{'LANG': 'en_US.UTF-8', 'SHELL': '/bin/bash', 'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300', 'PWD': '/home/easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot', 'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'DISPLAY': ':61'},True) starting ['/usr/bin/xpra', '--bind-tcp=127.0.0.1:15062', '--password-file=/home/easyprot/.winswitch/server/sessions/61/session.pass', '--no-daemon', 'start', ':61'], logging to /home/easyprot/.winswitch/server/sessions/61/xpra.log
[DD] 2014/25/08 11:33:52.594880 process_util.get_output(['/usr/lib/winswitch/virt_server_daemonizer', '--quiet', '--print-pid', '--daemon', '--log-file', '/home/easyprot/.winswitch/server/sessions/61/xpra.log', '--', '/usr/bin/xpra', '--bind-tcp=127.0.0.1:15062', '--password-file=/home/easyprot/.winswitch/server/sessions/61/session.pass', '--no-daemon', 'start', ':61'],/home/easyprot,{'LANG': 'en_US.UTF-8', 'SHELL': '/bin/bash', 'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300', 'PWD': '/home/easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot', 'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'DISPLAY': ':61'},False,False)
[II] 2014/25/08 11:33:52.737959 virt_server_daemonizer.grab_daemon_pid(['/usr/lib/winswitch/virt_server_daemonizer', '--quiet', '--print-pid', '--daemon', '--log-file', '/home/easyprot/.winswitch/server/sessions/61/xpra.log', '--', '/usr/bin/xpra', '--bind-tcp=127.0.0.1:15062', '--password-file=/home/easyprot/.winswitch/server/sessions/61/session.pass', '--no-daemon', 'start', ':61'],/home/easyprot,{'LANG': 'en_US.UTF-8', 'SHELL': '/bin/bash', 'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300', 'PWD': '/home/easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot', 'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'DISPLAY': ':61'}) returncode=0, stdoutdata=2373\n, stderrdata=, pid=2373
[II] 2014/25/08 11:33:52.738166 XpraServerUtil.session_process_started(2373,ServerSession(:61 - xpra - starting))
[DD] 2014/25/08 11:33:52.738220 XpraServerUtil.watch_session_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - starting))
[DD] 2014/25/08 11:33:52.738287 XpraServerUtil.watch_session_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - starting)) logfile=17
[DD] 2014/25/08 11:33:52.738333 XpraServerUtil.do_watch_session_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) will use gio to monitor for changes
[II] 2014/25/08 11:33:52.738619 XpraServerUtil.do_watch_session_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) watching log with gio: <__main__.GInotifyFileMonitor object at 0x7f57e8c4eeb0 (GInotifyFileMonitor at 0x2285920)>
[DD] 2014/25/08 11:33:52.738697 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting))
[DD] 2014/25/08 11:33:52.738737 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) about to read, current buffer: 0 bytes
[DD] 2014/25/08 11:33:52.738786 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 0 bytes
[DD] 2014/25/08 11:33:52.738854 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - starting)) pid=2373
[DD] 2014/25/08 11:33:52.738910 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:33:52.738952 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - starting)) pid=2373
[DD] 2014/25/08 11:33:52.738985 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:33:52.739033 XpraServerUtil.start_session_object(ServerSession(:61 - xpra - starting),None,True) started=True
[DD] 2014/25/08 11:33:52.739076 FirewallUtil.call_script(['ADD', '127.0.0.1', '15062']) firewall_script=/usr/lib/winswitch/firewall
[DD] 2014/25/08 11:33:52.739123 XpraServerUtil.start_prelaunch_session(913860e1cef64bc59c219acd8af3b228) saved ServerSession(:61 - xpra - starting), sending it to clients
[DD] 2014/25/08 11:33:52.739190 WinSwitchServer.add_new_session(ServerSession(:61 - xpra - starting)) can_capture=True, screen_capture_command=
[II] 2014/25/08 11:33:52.739288 WinSwitchServer.send_session_to_all(ServerSession(:61 - xpra - starting)) clients=[WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))]
[DD] 2014/25/08 11:33:53.811354 XpraServerUtil.watched_directory_changed(<__main__.GInotifyDirectoryMonitor object at 0x7f57e9d785a0 (GInotifyDirectoryMonitor at 0x1f18360)>,<__main__.GLocalFile at 0x7f57e8c4ef00: file:///home/easyprot/.xpra/phenyx-61>,None,<enum G_FILE_MONITOR_EVENT_CREATED of type GFileMonitorEvent>)
[DD] 2014/25/08 11:33:53.811601 XpraServerUtil.watched_directory_changed(<__main__.GInotifyDirectoryMonitor object at 0x7f57e9d785a0 (GInotifyDirectoryMonitor at 0x1f18360)>,<__main__.GLocalFile at 0x7f57e8c4ef00: file:///home/easyprot/.xpra/Xorg.:61.log>,None,<enum G_FILE_MONITOR_EVENT_DELETED of type GFileMonitorEvent>)
[DD] 2014/25/08 11:33:53.811634 XpraServerUtil.schedule_detect_sessions() already pending - not scheduling it
[DD] 2014/25/08 11:33:53.811708 XpraServerUtil.watched_directory_changed(<__main__.GInotifyDirectoryMonitor object at 0x7f57e9d785a0 (GInotifyDirectoryMonitor at 0x1f18360)>,<__main__.GLocalFile at 0x7f57e8c4ef00: file:///home/easyprot/.xpra/Xorg.:61.log.old>,None,<enum G_FILE_MONITOR_EVENT_CREATED of type GFileMonitorEvent>)
[DD] 2014/25/08 11:33:53.811737 XpraServerUtil.schedule_detect_sessions() already pending - not scheduling it
[DD] 2014/25/08 11:33:53.811794 XpraServerUtil.watched_directory_changed(<__main__.GInotifyDirectoryMonitor object at 0x7f57e9d785a0 (GInotifyDirectoryMonitor at 0x1f18360)>,<__main__.GLocalFile at 0x7f57e8c4ef00: file:///home/easyprot/.xpra/Xorg.:61.log>,None,<enum G_FILE_MONITOR_EVENT_CREATED of type GFileMonitorEvent>)
[DD] 2014/25/08 11:33:53.811822 XpraServerUtil.schedule_detect_sessions() already pending - not scheduling it
[DD] 2014/25/08 11:33:53.811871 XpraServerUtil.session_logfile_changed()
[DD] 2014/25/08 11:33:53.811912 XpraServerUtil.read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read_pending=False
[DD] 2014/25/08 11:33:53.911517 XpraServerUtil.batch_detect_sessions()
[II] 2014/25/08 11:33:53.911990 XpraServerUtil.detect_sessions() found: [('UNKNOWN', ':117'), ('UNKNOWN', ':60'), ('LIVE', ':61')]
[DD] 2014/25/08 11:33:53.912119 XpraServerUtil.with_version(False) xpra_version=0.12.3
[DD] 2014/25/08 11:33:53.912150 XpraServerUtil.with_version() xpra version is up to date
[DD] 2014/25/08 11:33:53.912214 process_util.twisted_exec(['/usr/bin/xpra', 'version', ':117'],<function got_version at 0x7f57e8c61848>,<function err_version at 0x7f57e8c617d0>,None,None)
[DD] 2014/25/08 11:33:53.912403 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'version', ':117']
[DD] 2014/25/08 11:33:53.918052 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:33:53.918409 process_util.twisted_exec(['/usr/bin/xpra', 'version', ':60'],<function got_version at 0x7f57e8c61c08>,<function err_version at 0x7f57e8c61b90>,None,None)
[DD] 2014/25/08 11:33:53.918652 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'version', ':60']
[DD] 2014/25/08 11:33:53.925001 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:33:53.925658 XpraServerUtil.start_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) started thread: 140015557408512
[DD] 2014/25/08 11:33:53.925824 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting))
[DD] 2014/25/08 11:33:53.926069 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) about to read, current buffer: 0 bytes
[DD] 2014/25/08 11:33:53.926119 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 1024 bytes
[DD] 2014/25/08 11:33:53.926178 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 17 lines
[DD] 2014/25/08 11:33:53.926262 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) reloading=False, lines=['\n', 'X.Org X Server 1.15.1\n', 'Release Date: 2014-04-13\n', 'X Protocol Version 11, Revision 0\n', 'Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu\n', 'Current Operating System: Linux phenyx 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64\n', 'Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/VolGroup00-lvol0 ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw\n', 'Build Date: 16 April 2014  01:36:29PM\n', 'xorg-server 2:1.15.1-0ubuntu2 (For technical support please see http://www.ubuntu.com/support) \n', 'Current version of pixman: 0.30.2\n', '\tBefore reporting problems, check http://wiki.x.org\n', '\tto make sure that you have the latest version.\n', 'Markers: (--) probed, (**) from config file, (==) default setting,\n', '\t(++) from command line, (!!) notice, (II) informational,\n', '\t(WW) warning, (EE) error, (NI) not implemented, (??) unknown.\n', '(++) Log file: "/home/easyprot/.xpra/Xorg.:61.log", Time: Mon Aug 25 11:33:52 2014\n', '(++) Using config file: "/etc/xpra/xorg.conf"\n']
[DD] 2014/25/08 11:33:53.926343 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(\n)=None
[DD] 2014/25/08 11:33:53.926377 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(X.Org X Server 1.15.1\n)=None
[DD] 2014/25/08 11:33:53.926405 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Release Date: 2014-04-13\n)=None
[DD] 2014/25/08 11:33:53.926434 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(X Protocol Version 11, Revision 0\n)=None
[DD] 2014/25/08 11:33:53.926468 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu\n)=None
[DD] 2014/25/08 11:33:53.926505 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Current Operating System: Linux phenyx 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64\n)=None
[DD] 2014/25/08 11:33:53.926539 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/VolGroup00-lvol0 ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw\n)=None
[DD] 2014/25/08 11:33:53.926570 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Build Date: 16 April 2014  01:36:29PM\n)=None
[DD] 2014/25/08 11:33:53.926603 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(xorg-server 2:1.15.1-0ubuntu2 (For technical support please see http://www.ubuntu.com/support) \n)=None
[DD] 2014/25/08 11:33:53.926634 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Current version of pixman: 0.30.2\n)=None
[DD] 2014/25/08 11:33:53.926664 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(      Before reporting problems, check http://wiki.x.org\n)=None
[DD] 2014/25/08 11:33:53.926693 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(      to make sure that you have the latest version.\n)=None
[DD] 2014/25/08 11:33:53.926720 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Markers: (--) probed, (**) from config file, (==) default setting,\n)=None
[DD] 2014/25/08 11:33:53.926749 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(      (++) from command line, (!!) notice, (II) informational,\n)=None
[DD] 2014/25/08 11:33:53.926777 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(      (WW) warning, (EE) error, (NI) not implemented, (??) unknown.\n)=None
[DD] 2014/25/08 11:33:53.926805 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status((++) Log file: "/home/easyprot/.xpra/Xorg.:61.log", Time: Mon Aug 25 11:33:52 2014\n)=None
[DD] 2014/25/08 11:33:53.926873 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status((++) Using config file: "/etc/xpra/xorg.conf"\n)=None
[DD] 2014/25/08 11:33:53.926905 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) about to read, current buffer: 26 bytes
[DD] 2014/25/08 11:33:53.926946 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 1024 bytes
[DD] 2014/25/08 11:33:53.926984 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 24 lines
[DD] 2014/25/08 11:33:53.927028 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) reloading=False, lines=['(==) Using system config directory "/usr/share/X11/xorg.conf.d"\n', 'Initializing built-in extension Generic Event Extension\n', 'Initializing built-in extension SHAPE\n', 'Initializing built-in extension MIT-SHM\n', 'Initializing built-in extension XInputExtension\n', 'Initializing built-in extension XTEST\n', 'Initializing built-in extension BIG-REQUESTS\n', 'Initializing built-in extension SYNC\n', 'Initializing built-in extension XKEYBOARD\n', 'Initializing built-in extension XC-MISC\n', 'Initializing built-in extension SECURITY\n', 'Initializing built-in extension XINERAMA\n', 'Initializing built-in extension XFIXES\n', 'Initializing built-in extension RENDER\n', 'Initializing built-in extension RANDR\n', 'Initializing built-in extension COMPOSITE\n', 'Initializing built-in extension DAMAGE\n', 'Initializing built-in extension MIT-SCREEN-SAVER\n', 'Initializing built-in extension DOUBLE-BUFFER\n', 'Initializing built-in extension RECORD\n', 'Initializing built-in extension DPMS\n', 'Initializing built-in extension Present\n', 'Initializing built-in extension DRI3\n', 'Initializing built-in extension X-Resource\n']
[DD] 2014/25/08 11:33:53.927069 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status((==) Using system config directory "/usr/share/X11/xorg.conf.d"\n)=None
[DD] 2014/25/08 11:33:53.927098 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension Generic Event Extension\n)=None
[DD] 2014/25/08 11:33:53.927127 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension SHAPE\n)=None
[DD] 2014/25/08 11:33:53.927155 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension MIT-SHM\n)=None
[DD] 2014/25/08 11:33:53.927184 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XInputExtension\n)=None
[DD] 2014/25/08 11:33:53.927212 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XTEST\n)=None
[DD] 2014/25/08 11:33:53.927240 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension BIG-REQUESTS\n)=None
[DD] 2014/25/08 11:33:53.927268 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension SYNC\n)=None
[DD] 2014/25/08 11:33:53.927296 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XKEYBOARD\n)=None
[DD] 2014/25/08 11:33:53.927324 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XC-MISC\n)=None
[DD] 2014/25/08 11:33:53.927352 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension SECURITY\n)=None
[DD] 2014/25/08 11:33:53.927380 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XINERAMA\n)=None
[DD] 2014/25/08 11:33:53.927408 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension XFIXES\n)=None
[DD] 2014/25/08 11:33:53.927435 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension RENDER\n)=None
[DD] 2014/25/08 11:33:53.927463 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension RANDR\n)=None
[DD] 2014/25/08 11:33:53.927497 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension COMPOSITE\n)=None
[DD] 2014/25/08 11:33:53.927526 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension DAMAGE\n)=None
[DD] 2014/25/08 11:33:53.927554 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension MIT-SCREEN-SAVER\n)=None
[DD] 2014/25/08 11:33:53.927582 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension DOUBLE-BUFFER\n)=None
[DD] 2014/25/08 11:33:53.927610 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension RECORD\n)=None
[DD] 2014/25/08 11:33:53.927638 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension DPMS\n)=None
[DD] 2014/25/08 11:33:53.927666 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension Present\n)=None
[DD] 2014/25/08 11:33:53.927694 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension DRI3\n)=None
[DD] 2014/25/08 11:33:53.927722 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),24 lines) new status(Initializing built-in extension X-Resource\n)=None
[DD] 2014/25/08 11:33:53.927752 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) about to read, current buffer: 32 bytes
[DD] 2014/25/08 11:33:53.927783 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 1024 bytes
[DD] 2014/25/08 11:33:53.927819 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 17 lines
[DD] 2014/25/08 11:33:53.927865 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) reloading=False, lines=['Initializing built-in extension XVideo\n', 'Initializing built-in extension XVideo-MotionCompensation\n', 'Initializing built-in extension SELinux\n', 'Initializing built-in extension XFree86-VidModeExtension\n', 'Initializing built-in extension XFree86-DGA\n', 'Initializing built-in extension XFree86-DRI\n', 'Initializing built-in extension DRI2\n', 'Loading extension GLX\n', '2014-08-25 11:33:53,024 server uuid is 43d91ef4bb4843c89f826c63197ef2f1\n', "2014-08-25 11:33:53,082 no authentication module specified with 'password_file', using 'file' based authentication\n", '2014-08-25 11:33:53,093 using notification forwarder: DBUSNotificationsForwarder(org.freedesktop.Notifications)\n', '2014-08-25 11:33:53,102 csc module csc_opencl could not be loaded: No module named pyopencl\n', "2014-08-25 11:33:53,111 started child '/etc/X11/Xsession true' with pid 2391\n", '2014-08-25 11:33:53,112 xpra server version 0.12.3\n', '2014-08-25 11:33:53,112 running with pid 2373\n', '2014-08-25 11:33:53,162 xpra is ready.\n', "2014-08-25 11:33:53,162 child '/etc/X11/Xsession true' with pid 2391 has terminated\n"]
[DD] 2014/25/08 11:33:53.927896 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension XVideo\n)=None
[DD] 2014/25/08 11:33:53.927925 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension XVideo-MotionCompensation\n)=None
[DD] 2014/25/08 11:33:53.927954 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension SELinux\n)=None
[DD] 2014/25/08 11:33:53.927982 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension XFree86-VidModeExtension\n)=None
[DD] 2014/25/08 11:33:53.928020 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension XFree86-DGA\n)=None
[DD] 2014/25/08 11:33:53.928049 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension XFree86-DRI\n)=None
[DD] 2014/25/08 11:33:53.928077 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Initializing built-in extension DRI2\n)=None
[DD] 2014/25/08 11:33:53.928105 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(Loading extension GLX\n)=None
[DD] 2014/25/08 11:33:53.928145 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,024 server uuid is 43d91ef4bb4843c89f826c63197ef2f1\n)=None
[DD] 2014/25/08 11:33:53.928185 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,082 no authentication module specified with 'password_file', using 'file' based authentication\n)=None
[DD] 2014/25/08 11:33:53.928220 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,093 using notification forwarder: DBUSNotificationsForwarder(org.freedesktop.Notifications)\n)=None
[DD] 2014/25/08 11:33:53.928252 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,102 csc module csc_opencl could not be loaded: No module named pyopencl\n)=None
[DD] 2014/25/08 11:33:53.928287 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,111 started child '/etc/X11/Xsession true' with pid 2391\n)=None
[DD] 2014/25/08 11:33:53.928320 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,112 xpra server version 0.12.3\n)=None
[DD] 2014/25/08 11:33:53.928353 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,112 running with pid 2373\n)=None
[DD] 2014/25/08 11:33:53.928386 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,162 xpra is ready.\n)=available
[II] 2014/25/08 11:33:53.928415 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) setting new status=available from line=2014-08-25 11:33:53,162 xpra is ready.\n
[DD] 2014/25/08 11:33:53.928516 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - starting),17 lines) new status(2014-08-25 11:33:53,162 child '/etc/X11/Xsession true' with pid 2391 has terminated\n)=None
[DD] 2014/25/08 11:33:53.928683 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) about to read, current buffer: 27 bytes
[II] 2014/25/08 11:33:53.928814 WinSwitchServer.send_session_status_to_all(ServerSession(:61 - xpra - starting),available) clients=[WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))]
[DD] 2014/25/08 11:33:53.928863 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - starting)) read 111 bytes
[DD] 2014/25/08 11:33:53.929204 ServerSession.fire_status_callbacks(available) (None, None, <function status_change_schedule_capture at 0x7f57e8c615f0>, False, None): <function status_change_schedule_capture at 0x7f57e8c615f0>()=False
[DD] 2014/25/08 11:33:53.929262 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read 2 lines
[DD] 2014/25/08 11:33:53.929390 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - available),2 lines) reloading=False, lines=['2014-08-25 11:33:53,912 New connection received: SocketConnection(/home/easyprot/.xpra/phenyx-61)\n', '2014-08-25 11:33:53,917 Connection lost\n']
[DD] 2014/25/08 11:33:53.929886 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - available),2 lines) new status(2014-08-25 11:33:53,912 New connection received: SocketConnection(/home/easyprot/.xpra/phenyx-61)\n)=None
[DD] 2014/25/08 11:33:53.930316 XpraServerUtil.process_log_data(ServerSession(:61 - xpra - available),2 lines) new status(2014-08-25 11:33:53,917 Connection lost\n)=None
[DD] 2014/25/08 11:33:53.930430 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - available)) pid=2373
[DD] 2014/25/08 11:33:53.930477 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:33:54.000198 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'version', ':117']), exitCode=1
[DD] 2014/25/08 11:33:54.000374 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[EE] 2014/25/08 11:33:54.000421 XpraServerUtil.err_version(connection failed: [Errno 111] Connection refused)
[DD] 2014/25/08 11:33:54.000473 process_util.twisted_exec(['/usr/bin/xpra', 'info', ':117'],<function got_info at 0x7f57e8c61938>,<function err_info at 0x7f57e8c619b0>,None,None)
[DD] 2014/25/08 11:33:54.000640 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'info', ':117']
[DD] 2014/25/08 11:33:54.006087 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:33:54.008576 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'version', ':60']), exitCode=1
[DD] 2014/25/08 11:33:54.008760 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[EE] 2014/25/08 11:33:54.008814 XpraServerUtil.err_version(connection failed: [Errno 111] Connection refused)
[DD] 2014/25/08 11:33:54.008874 process_util.twisted_exec(['/usr/bin/xpra', 'info', ':60'],<function got_info at 0x7f57e8c61cf8>,<function err_info at 0x7f57e8c61d70>,None,None)
[DD] 2014/25/08 11:33:54.009069 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'info', ':60']
[DD] 2014/25/08 11:33:54.015359 ProcessOutput.connectionMade()
[DD] 2014/25/08 11:33:54.090002 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'info', ':117']), exitCode=1
[DD] 2014/25/08 11:33:54.090184 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[II] 2014/25/08 11:33:54.090238 XpraServerUtil.err_info(connection failed: [Errno 111] Connection refused)
[EE] 2014/25/08 11:33:54.090315 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) ok_callback=<function got_info at 0x7f57e8c61938>, err_callback=<function err_info at 0x7f57e8c619b0>
[ee] 2014/25/08 11:33:54.090500 Traceback (most recent call last):
[ee] 2014/25/08 11:33:54.090526   File "/usr/lib/winswitch/winswitch/util/process_util.py", line 417, in processEnded
[ee] 2014/25/08 11:33:54.090550     self.err_callback(out)
[ee] 2014/25/08 11:33:54.090571   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 427, in err_info
[ee] 2014/25/08 11:33:54.090591     callback()
[ee] 2014/25/08 11:33:54.090612   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 487, in after_getting_info
[ee] 2014/25/08 11:33:54.090633     with_version(self.auto_upgrade_same_version)
[ee] 2014/25/08 11:33:54.090653   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 474, in with_version
[ee] 2014/25/08 11:33:54.090675     self.sdebug("xpra_version=%s" % session.xpra_version, force_upgrade)
[ee] 2014/25/08 11:33:54.090695 AttributeError: ServerSession instance has no attribute 'xpra_version'
[DD] 2014/25/08 11:33:54.097573 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'info', ':60']), exitCode=1
[DD] 2014/25/08 11:33:54.097656 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[II] 2014/25/08 11:33:54.097689 XpraServerUtil.err_info(connection failed: [Errno 111] Connection refused)
[EE] 2014/25/08 11:33:54.097738 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) ok_callback=<function got_info at 0x7f57e8c61cf8>, err_callback=<function err_info at 0x7f57e8c61d70>
[ee] 2014/25/08 11:33:54.097812 Traceback (most recent call last):
[ee] 2014/25/08 11:33:54.097834   File "/usr/lib/winswitch/winswitch/util/process_util.py", line 417, in processEnded
[ee] 2014/25/08 11:33:54.097854     self.err_callback(out)
[ee] 2014/25/08 11:33:54.097873   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 427, in err_info
[ee] 2014/25/08 11:33:54.097891     callback()
[ee] 2014/25/08 11:33:54.097911   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 487, in after_getting_info
[ee] 2014/25/08 11:33:54.097929     with_version(self.auto_upgrade_same_version)
[ee] 2014/25/08 11:33:54.097948   File "/usr/lib/winswitch/winswitch/virt/xpra_server_util.py", line 474, in with_version
[ee] 2014/25/08 11:33:54.097966     self.sdebug("xpra_version=%s" % session.xpra_version, force_upgrade)
[ee] 2014/25/08 11:33:54.097985 AttributeError: ServerSession instance has no attribute 'xpra_version'
[DD] 2014/25/08 11:33:54.613719 XpraServerUtil.session_logfile_changed()
[DD] 2014/25/08 11:33:54.613806 XpraServerUtil.read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read_pending=False
[DD] 2014/25/08 11:33:54.713955 XpraServerUtil.start_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) started thread: 140015557408512
[DD] 2014/25/08 11:33:54.714019 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available))
[DD] 2014/25/08 11:33:54.714107 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) about to read, current buffer: 0 bytes
[DD] 2014/25/08 11:33:54.714145 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read 0 bytes
[DD] 2014/25/08 11:33:54.714185 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - available)) pid=2373
[DD] 2014/25/08 11:33:54.714238 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:33:55.728793 XpraServerUtil.session_logfile_changed()
[DD] 2014/25/08 11:33:55.728941 XpraServerUtil.read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read_pending=False
[DD] 2014/25/08 11:33:55.829092 XpraServerUtil.start_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) started thread: 140015557408512
[DD] 2014/25/08 11:33:55.829156 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available))
[DD] 2014/25/08 11:33:55.829251 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) about to read, current buffer: 0 bytes
[DD] 2014/25/08 11:33:55.829291 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read 0 bytes
[DD] 2014/25/08 11:33:55.829327 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - available)) pid=2373
[DD] 2014/25/08 11:33:55.829365 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:33:56.929206 XpraServerUtil.session_logfile_changed()
[DD] 2014/25/08 11:33:56.929278 XpraServerUtil.read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read_pending=False
[DD] 2014/25/08 11:33:57.029371 XpraServerUtil.start_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) started thread: 140015557408512
[DD] 2014/25/08 11:33:57.029422 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available))
[DD] 2014/25/08 11:33:57.029500 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) about to read, current buffer: 0 bytes
[DD] 2014/25/08 11:33:57.029535 XpraServerUtil.do_read_from_log(/home/easyprot/.winswitch/server/sessions/61/xpra.log,17,ServerSession(:61 - xpra - available)) read 0 bytes
[DD] 2014/25/08 11:33:57.029566 XpraServerUtil.poll_server_process(/home/easyprot/.winswitch/server/sessions/61/xpra.log,ServerSession(:61 - xpra - available)) pid=2373
[DD] 2014/25/08 11:33:57.029596 process_util.kill0(2373) pid is still alive
[DD] 2014/25/08 11:34:02.598294 XpraServerUtil.do_disable_gnome_screensaver(ServerSession(:61 - xpra - available))
[DD] 2014/25/08 11:34:02.598663 process_util.get_output(['/usr/lib/winswitch/virt_server_daemonizer', '--quiet', '--print-pid', '--daemon', '--log-file', '/home/easyprot/.winswitch/server/sessions/61/dbus-send-disable-gnome-screensaver.log', '--', 'dbus-send', '--session', '--dest=org.gnome.ScreenSaver', '--print-reply', '--type=method_call', '--reply-timeout=20000', '/org/gnome/ScreenSaver', 'org.gnome.ScreenSaver.Inhibit', 'string:"Window Switch"', 'string:"Virtual Session"'],None,{'LANG': 'en_US.UTF-8', 'SHELL': '/bin/bash', 'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300', 'PWD': '/home/easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot', 'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'DISPLAY': ':61'},False,False)
[II] 2014/25/08 11:34:02.742683 virt_server_daemonizer.grab_daemon_pid(['/usr/lib/winswitch/virt_server_daemonizer', '--quiet', '--print-pid', '--daemon', '--log-file', '/home/easyprot/.winswitch/server/sessions/61/dbus-send-disable-gnome-screensaver.log', '--', 'dbus-send', '--session', '--dest=org.gnome.ScreenSaver', '--print-reply', '--type=method_call', '--reply-timeout=20000', '/org/gnome/ScreenSaver', 'org.gnome.ScreenSaver.Inhibit', 'string:"Window Switch"', 'string:"Virtual Session"'],None,{'LANG': 'en_US.UTF-8', 'SHELL': '/bin/bash', 'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-j5biNUH2R7,guid=54b4f373543710abec7bff1c53fb0300', 'PWD': '/home/easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot', 'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'DISPLAY': ':61'}) returncode=0, stdoutdata=2490\n, stderrdata=, pid=2490
[DD] 2014/25/08 11:34:17.567215 XpraServerUtil.check_session_has_started() status=starting, preload=False
[DD] 2014/25/08 11:34:17.588426 process_util.twisted_exec(['/usr/bin/xpra', 'stop', ':117', '--password-file=/home/easyprot/.winswitch/server/sessions/117/session.pass'],<function display_stopped at 0x7f57e8c61f50>,<function display_stop_error at 0x7f57e8c61ed8>,None,None)
[DD] 2014/25/08 11:34:17.588701 ProcessOutput.start() usePTY=False, env={'PATH': '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games', 'PWD': '/home/easyprot', 'LOGNAME': 'easyprot', 'USER': 'easyprot', 'HOME': '/home/easyprot'}, cmd=['/usr/bin/xpra', 'stop', ':117', '--password-file=/home/easyprot/.winswitch/server/sessions/117/session.pass']
[DD] 2014/25/08 11:34:17.594033 ProcessOutput.connectionMade()
[EE] 2014/25/08 11:34:17.594366 XpraServerUtil.session_error(ServerSession(:117 - xpra - starting),Session failed to start, waited 30 seconds,closed) notification handler=<bound method WinSwitchServer.session_failed of <winswitch.server.controller.WinSwitchServer instance at 0x7f57f5c6d488>>
[II] 2014/25/08 11:34:17.594432 WinSwitchServer.session_failed(ServerSession(:117 - xpra - starting),Session failed to start, waited 30 seconds,closed) owner=913860e1cef64bc59c219acd8af3b228
[II] 2014/25/08 11:34:17.594550 WinSwitchServer.send_session_status_to_all(ServerSession(:117 - xpra - starting),closed) clients=[WinSwitchClientChannel(User(Administrator : 913860e1cef64bc59c219acd8af3b228))]
[DD] 2014/25/08 11:34:17.594848 ServerSession.fire_status_callbacks(closed) (None, None, <function status_change_schedule_capture at 0x7f57e9d60668>, False, None): <function status_change_schedule_capture at 0x7f57e9d60668>()=False
[DD] 2014/25/08 11:34:17.594892 ServerSession.fire_status_callbacks(closed) (None, None, <function status_change_schedule_capture at 0x7f57e9d60e60>, False, None): <function status_change_schedule_capture at 0x7f57e9d60e60>()=False
[II] 2014/25/08 11:34:17.594947 ServerSession.close() self=ServerSession(:117 - xpra - closed), killing {'10-dbus': '5756'}
[DD] 2014/25/08 11:34:17.594985 ServerSession.close() killing 10-dbus: 5756
[II] 2014/25/08 11:34:17.595035 process_util.send_kill_signal(5756,15,True)
[DD] 2014/25/08 11:34:17.595064 process_util.send_kill_signal(5756,15,True) using os.kill
[DD] 2014/25/08 11:34:17.595111 process_util.send_kill_signal(5756,15) [Errno 3] No such process
[II] 2014/25/08 11:34:17.595176 WinSwitchClientChannel.send_remove_session(ServerSession(:117 - xpra - closed))
[DD] 2014/25/08 11:34:17.671823 ProcessOutput.processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n]) Failure (command=['/usr/bin/xpra', 'stop', ':117', '--password-file=/home/easyprot/.winswitch/server/sessions/117/session.pass']), exitCode=1
[DD] 2014/25/08 11:34:17.671984 ProcessOutput.processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessTerminated'>: A process has ended with a probable error condition: process ended with exit code 1.\n])
[EE] 2014/25/08 11:34:17.672034 XpraServerUtil.display_stop_error(connection failed: [Errno 111] Connection refused)
[II] 2014/25/08 11:34:17.672074 XpraServerUtil.stop_display(ServerSession(:117 - xpra - closed),None,:117)
[II] 2014/25/08 11:34:17.672106 XpraServerUtil.kill_display(ServerSession(:117 - xpra - closed),-1,15)

Also, Now I see the following xpra.log in the session folder:

easyprot@phenyx:~$ cat .winswitch/server/sessions/61/xpra.log

X.Org X Server 1.15.1
Release Date: 2014-04-13
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu
Current Operating System: Linux phenyx 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/VolGroup00-lvol0 ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw
Build Date: 16 April 2014  01:36:29PM
xorg-server 2:1.15.1-0ubuntu2 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.30.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/home/easyprot/.xpra/Xorg.:61.log", Time: Mon Aug 25 11:33:52 2014
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension SECURITY
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension Present
Initializing built-in extension DRI3
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
2014-08-25 11:33:53,024 server uuid is 43d91ef4bb4843c89f826c63197ef2f1
2014-08-25 11:33:53,082 no authentication module specified with 'password_file', using 'file' based authentication
2014-08-25 11:33:53,093 using notification forwarder: DBUSNotificationsForwarder(org.freedesktop.Notifications)
2014-08-25 11:33:53,102 csc module csc_opencl could not be loaded: No module named pyopencl
2014-08-25 11:33:53,111 started child '/etc/X11/Xsession true' with pid 2391
2014-08-25 11:33:53,112 xpra server version 0.12.3
2014-08-25 11:33:53,112 running with pid 2373
2014-08-25 11:33:53,162 xpra is ready.
2014-08-25 11:33:53,162 child '/etc/X11/Xsession true' with pid 2391 has terminated
2014-08-25 11:33:53,912 New connection received: SocketConnection(/home/easyprot/.xpra/phenyx-61)
2014-08-25 11:33:53,917 Connection lost

It seems to be an xpra problem.

This is the corresponding xpra logfile:

easyprot@phenyx:~$ cat !$
cat .xpra/Xorg.\:61.log
[507128.445]
X.Org X Server 1.15.1
Release Date: 2014-04-13
[507128.446] X Protocol Version 11, Revision 0
[507128.446] Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu
[507128.446] Current Operating System: Linux phenyx 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64
[507128.446] Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/VolGroup00-lvol0 ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw
[507128.446] Build Date: 16 April 2014  01:36:29PM
[507128.446] xorg-server 2:1.15.1-0ubuntu2 (For technical support please see http://www.ubuntu.com/support)
[507128.446] Current version of pixman: 0.30.2
[507128.446]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[507128.446] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[507128.446] (++) Log file: "/home/easyprot/.xpra/Xorg.:61.log", Time: Mon Aug 25 11:33:52 2014
[507128.446] (++) Using config file: "/etc/xpra/xorg.conf"
[507128.446] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[507128.446] (==) ServerLayout "dummy_layout"
[507128.446] (**) |-->Screen "dummy_screen" (0)
[507128.446] (**) |   |-->Monitor "dummy_monitor"
[507128.447] (**) |   |-->Device "dummy_videocard"
[507128.447] (**) |-->Input Device "dummy_mouse"
[507128.447] (**) |-->Input Device "dummy_keyboard"
[507128.447] (**) Option "DontVTSwitch" "true"
[507128.447] (**) Option "AllowMouseOpenFail" "true"
[507128.447] (**) Option "AutoAddDevices" "false"
[507128.447] (**) Option "AutoEnableDevices" "false"
[507128.447] (**) Not automatically adding devices
[507128.447] (**) Not automatically enabling devices
[507128.447] (==) Automatically adding GPU devices
[507128.447] (WW) The directory "/usr/share/fonts/X11/misc" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[507128.447]    Entry deleted from font path.
[507128.447] (==) FontPath set to:
        built-ins
[507128.447] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[507128.447] (II) Loader magic: 0x7f030a79dd60
[507128.447] (II) Module ABI versions:
[507128.447]    X.Org ANSI C Emulation: 0.4
[507128.447]    X.Org Video Driver: 15.0
[507128.447]    X.Org XInput driver : 20.0
[507128.447]    X.Org Server Extension : 8.0
[507128.447] (II) xfree86: Adding drm device (/dev/dri/card0)
[507128.448] (II) config/udev: Ignoring already known drm device (/dev/dri/card0)
[507128.455] (--) PCI:*(0:12:12:0) 1002:515e:8086:346c rev 2, Mem @ 0xb0000000/134217728, 0xb8c00000/65536, I/O @ 0x00001000/256, BIOS @ 0x????????/131072
[507128.455] Initializing built-in extension Generic Event Extension
[507128.455] Initializing built-in extension SHAPE
[507128.455] Initializing built-in extension MIT-SHM
[507128.455] Initializing built-in extension XInputExtension
[507128.455] Initializing built-in extension XTEST
[507128.455] Initializing built-in extension BIG-REQUESTS
[507128.455] Initializing built-in extension SYNC
[507128.455] Initializing built-in extension XKEYBOARD
[507128.455] Initializing built-in extension XC-MISC
[507128.455] Initializing built-in extension SECURITY
[507128.455] Initializing built-in extension XINERAMA
[507128.455] Initializing built-in extension XFIXES
[507128.455] Initializing built-in extension RENDER
[507128.455] Initializing built-in extension RANDR
[507128.455] Initializing built-in extension COMPOSITE
[507128.455] Initializing built-in extension DAMAGE
[507128.455] Initializing built-in extension MIT-SCREEN-SAVER
[507128.456] Initializing built-in extension DOUBLE-BUFFER
[507128.456] Initializing built-in extension RECORD
[507128.456] Initializing built-in extension DPMS
[507128.456] Initializing built-in extension Present
[507128.456] Initializing built-in extension DRI3
[507128.456] Initializing built-in extension X-Resource
[507128.456] Initializing built-in extension XVideo
[507128.456] Initializing built-in extension XVideo-MotionCompensation
[507128.456] Initializing built-in extension SELinux
[507128.456] Initializing built-in extension XFree86-VidModeExtension
[507128.456] Initializing built-in extension XFree86-DGA
[507128.456] Initializing built-in extension XFree86-DRI
[507128.456] Initializing built-in extension DRI2
[507128.456] (II) LoadModule: "glx"
[507128.456] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[507128.457] (II) Module glx: vendor="X.Org Foundation"
[507128.457]    compiled for 1.15.1, module version = 1.0.0
[507128.457]    ABI class: X.Org Server Extension, version 8.0
[507128.457] (==) AIGLX enabled
[507128.457] Loading extension GLX
[507128.457] (II) LoadModule: "dummy"
[507128.457] (II) Loading /usr/lib/xorg/modules/drivers/dummy_drv.so
[507128.458] (II) Module dummy: vendor="X.Org Foundation"
[507128.458]    compiled for 1.15.0, module version = 0.3.7
[507128.458]    Module class: X.Org Video Driver
[507128.458]    ABI class: X.Org Video Driver, version 15.0
[507128.458] (II) LoadModule: "void"
[507128.458] (II) Loading /usr/lib/xorg/modules/input/void_drv.so
[507128.458] (II) Module void: vendor="X.Org Foundation"
[507128.458]    compiled for 1.15.0, module version = 1.4.0
[507128.458]    Module class: X.Org XInput Driver
[507128.458]    ABI class: X.Org XInput driver, version 20.0
[507128.458] (II) DUMMY: Driver for Dummy chipsets: dummy
[507128.458] (WW) Falling back to old probe method for dummy
[507128.458] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[507128.458] (II) DUMMY(0): Chipset is a DUMMY
[507128.458] (**) DUMMY(0): Depth 24, (--) framebuffer bpp 32
[507128.458] (==) DUMMY(0): RGB weight 888
[507128.458] (==) DUMMY(0): Default visual is TrueColor
[507128.458] (==) DUMMY(0): Using gamma correction (1.0, 1.0, 1.0)
[507128.458] (**) DUMMY(0): VideoRAM: 96000 kByte
[507128.458] (--) DUMMY(0): Max Clock: 230000 kHz
[507128.458] (II) DUMMY(0): dummy_monitor: Using hsync range of 5.00-1000.00 kHz
[507128.458] (II) DUMMY(0): dummy_monitor: Using vrefresh range of 5.00-200.00 Hz
[507128.458] (II) DUMMY(0): Clock range:  11.00 to 300.00 MHz
[507128.458] (II) DUMMY(0): Not using mode "32768x32768" (insufficient memory for mode)
[507128.458] (II) DUMMY(0): Not using mode "32768x16384" (insufficient memory for mode)
[507128.458] (II) DUMMY(0): Not using mode "16384x8192" (insufficient memory for mode)
[507128.458] (II) DUMMY(0): Not using mode "8192x4096" (insufficient memory for mode)
[507128.459] (**) DUMMY(0): Virtual size is 5120x3200 (pitch 5120)
[507128.459] (**) DUMMY(0): *Mode "5120x3200": 199.8 MHz, 33.7 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "5120x3200"x10.0  199.75  5120 5152 5904 5936  3200 3277 3283 3361 (33.7 kHz z)
[507128.459] (**) DUMMY(0): *Mode "3840x2880": 133.4 MHz, 30.3 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "3840x2880"x10.0  133.43  3840 3872 4376 4408  2880 2950 2955 3025 (30.3 kHz z)
[507128.459] (**) DUMMY(0): *Mode "3840x2560": 116.9 MHz, 26.9 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "3840x2560"x10.0  116.93  3840 3872 4312 4344  2560 2622 2627 2689 (26.9 kHz z)
[507128.459] (**) DUMMY(0): *Mode "3840x2048": 91.5 MHz, 21.5 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "3840x2048"x10.0   91.45  3840 3872 4216 4248  2048 2097 2101 2151 (21.5 kHz z)
[507128.459] (**) DUMMY(0): *Mode "2048x2048": 49.5 MHz, 21.5 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "2048x2048"x10.0   49.47  2048 2080 2264 2296  2048 2097 2101 2151 (21.5 kHz z)
[507128.459] (**) DUMMY(0): *Mode "2560x1600": 47.1 MHz, 16.8 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "2560x1600"x10.0   47.12  2560 2592 2768 2800  1600 1639 1642 1681 (16.8 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1920x1440": 69.5 MHz, 29.1 kHz, 20.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1920x1440"x20.0   69.47  1920 1960 2152 2384  1440 1441 1444 1457 (29.1 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1920x1200": 26.3 MHz, 12.6 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1920x1200"x10.0   26.28  1920 1952 2048 2080  1200 1229 1231 1261 (12.6 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1920x1080": 23.5 MHz, 11.4 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1920x1080"x10.0   23.53  1920 1952 2040 2072  1080 1106 1108 1135 (11.4 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1600x1200": 22.0 MHz, 12.6 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1600x1200"x10.0   22.04  1600 1632 1712 1744  1200 1229 1231 1261 (12.6 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1680x1050": 20.1 MHz, 11.1 kHz, 10.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1680x1050"x10.0   20.08  1680 1712 1784 1816  1050 1075 1077 1103 (11.1 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1600x900": 33.9 MHz, 18.9 kHz, 20.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1600x900"x20.0   33.92  1600 1632 1760 1792  900 921 924 946 (18.9 kHz z)
[507128.459] (**) DUMMY(0): *Default mode "1400x1050": 179.3 MHz, 93.8 kHz, 85.0 Hz
[507128.459] (II) DUMMY(0): Modeline "1400x1050"x85.0  179.26  1400 1504 1656 1912  1050 1051 1054 1103 -hsync +vsync (93.8 kHz zd)
[507128.459] (**) DUMMY(0): *Mode "1440x900": 30.7 MHz, 19.0 kHz, 20.1 Hz
[507128.459] (II) DUMMY(0): Modeline "1440x900"x20.1   30.66  1440 1472 1584 1616  900 921 924 946 (19.0 kHz z)
[507128.459] (**) DUMMY(0): *Mode "1280x1024": 31.5 MHz, 21.6 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x1024"x20.1   31.50  1280 1312 1424 1456  1024 1048 1052 1076 (21.6 kHz z)
[507128.460] (**) DUMMY(0): *Mode "1366x768": 72.0 MHz, 48.2 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1366x768"x60.0   72.00  1366 1414 1446 1494  768 771 777 803 (48.2 kHz z)
[507128.460] (**) DUMMY(0): *Mode "1280x800": 24.1 MHz, 16.9 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x800"x20.1   24.15  1280 1312 1400 1432  800 819 822 841 (16.9 kHz z)
[507128.460] (**) DUMMY(0): *Mode "1024x768": 23.8 MHz, 20.2 kHz, 25.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1024x768"x25.0   23.77  1024 1056 1144 1176  768 785 789 807 (20.2 kHz z)
[507128.460] (**) DUMMY(0): *Mode "1024x600": 18.3 MHz, 15.9 kHz, 25.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1024x600"x25.1   18.26  1024 1056 1120 1152  600 614 617 631 (15.9 kHz z)
[507128.460] (**) DUMMY(0): *Mode "800x600": 14.5 MHz, 15.9 kHz, 25.2 Hz
[507128.460] (II) DUMMY(0): Modeline "800x600"x25.2   14.50  800 832 880 912  600 614 617 631 (15.9 kHz z)
[507128.460] (**) DUMMY(0): *Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
[507128.460] (II) DUMMY(0): Modeline "320x200"x85.3   15.75  320 336 368 416  200 200 202 222 doublescan -hsync +vsync (37.9 kHz zd)
[507128.460] (**) DUMMY(0):  Mode "4800x1200": 64.4 MHz, 12.6 kHz, 10.0 Hz
[507128.460] (II) DUMMY(0): Modeline "4800x1200"x10.0   64.42  4800 4832 5072 5104  1200 1229 1231 1261 (12.6 kHz)
[507128.460] (**) DUMMY(0):  Mode "3600x1200": 106.1 MHz, 24.3 kHz, 20.0 Hz
[507128.460] (II) DUMMY(0): Modeline "3600x1200"x20.0  106.06  3600 3632 3984 4368  1200 1201 1204 1214 (24.3 kHz)
[507128.460] (**) DUMMY(0):  Mode "3840x1080": 100.4 MHz, 21.9 kHz, 20.0 Hz
[507128.460] (II) DUMMY(0): Modeline "3840x1080"x20.0  100.38  3840 3848 4216 4592  1080 1081 1084 1093 (21.9 kHz)
[507128.460] (**) DUMMY(0):  Mode "2560x1440": 42.1 MHz, 15.1 kHz, 10.0 Hz
[507128.460] (II) DUMMY(0): Modeline "2560x1440"x10.0   42.12  2560 2592 2752 2784  1440 1475 1478 1513 (15.1 kHz)
[507128.460] (**) DUMMY(0):  Mode "3288x1080": 39.8 MHz, 11.4 kHz, 10.0 Hz
[507128.460] (II) DUMMY(0): Modeline "3288x1080"x10.0   39.76  3288 3320 3464 3496  1080 1106 1108 1135 (11.4 kHz)
[507128.460] (**) DUMMY(0):  Mode "2048x1536": 80.1 MHz, 31.1 kHz, 20.0 Hz
[507128.460] (II) DUMMY(0): Modeline "2048x1536"x20.0   80.06  2048 2104 2312 2576  1536 1537 1540 1554 (31.1 kHz)
[507128.460] (**) DUMMY(0):  Default mode "1856x1392": 288.0 MHz, 112.5 kHz, 75.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1856x1392"x75.0  288.00  1856 1984 2208 2560  1392 1393 1396 1500 -hsync +vsync (112.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1856x1392": 218.3 MHz, 86.4 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1856x1392"x60.0  218.30  1856 1952 2176 2528  1392 1393 1396 1439 -hsync +vsync (86.4 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1792x1344": 261.0 MHz, 106.3 kHz, 75.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1792x1344"x75.0  261.00  1792 1888 2104 2456  1344 1345 1348 1417 -hsync +vsync (106.3 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1792x1344": 204.8 MHz, 83.7 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1792x1344"x60.0  204.80  1792 1920 2120 2448  1344 1345 1348 1394 -hsync +vsync (83.7 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1400x1050": 155.8 MHz, 81.5 kHz, 74.8 Hz
[507128.460] (II) DUMMY(0): Modeline "1400x1050"x74.8  155.80  1400 1464 1784 1912  1050 1052 1064 1090 +hsync +vsync (81.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1400x1050": 145.1 MHz, 76.5 kHz, 70.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1400x1050"x70.0  145.06  1400 1496 1648 1896  1050 1051 1054 1093 -hsync +vsync (76.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1400x1050": 122.0 MHz, 64.9 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1280x960": 148.5 MHz, 85.9 kHz, 85.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x960"x85.0  148.50  1280 1344 1504 1728  960 961 964 1011 +hsync +vsync (85.9 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1280x960": 108.0 MHz, 60.0 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
[507128.460] (**) DUMMY(0):  Mode "1360x768": 24.5 MHz, 16.2 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1360x768"x20.1   24.49  1360 1392 1480 1512  768 786 789 807 (16.2 kHz)
[507128.460] (**) DUMMY(0):  Mode "800x1280": 25.9 MHz, 27.0 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "800x1280"x20.1   25.89  800 832 928 960  1280 1310 1315 1345 (27.0 kHz)
[507128.460] (**) DUMMY(0):  Mode "1280x800": 24.1 MHz, 16.9 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x800"x20.1   24.15  1280 1312 1400 1432  800 819 822 841 (16.9 kHz)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 143.5 MHz, 91.5 kHz, 100.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x100.0  143.47  1152 1232 1360 1568  864 865 868 915 -hsync +vsync (91.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 121.5 MHz, 77.5 kHz, 85.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x85.1  121.50  1152 1216 1344 1568  864 865 868 911 +hsync -vsync (77.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 119.7 MHz, 77.1 kHz, 85.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x85.0  119.65  1152 1224 1352 1552  864 865 868 907 -hsync +vsync (77.1 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 105.0 MHz, 67.6 kHz, 75.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x75.0  104.99  1152 1224 1352 1552  864 865 868 902 -hsync +vsync (67.6 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 96.8 MHz, 63.0 kHz, 70.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x70.0   96.77  1152 1224 1344 1536  864 865 868 900 -hsync +vsync (63.0 kHz d)
[507128.460] (**) DUMMY(0):  Default mode "1152x864": 81.6 MHz, 53.7 kHz, 60.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1152x864"x60.0   81.62  1152 1216 1336 1520  864 865 868 895 -hsync +vsync (53.7 kHz d)
[507128.460] (**) DUMMY(0):  Mode "800x1242": 25.0 MHz, 26.3 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "800x1242"x20.1   25.03  800 832 920 952  1242 1271 1275 1305 (26.3 kHz)
[507128.460] (**) DUMMY(0):  Mode "1280x768": 23.1 MHz, 16.2 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x768"x20.1   23.11  1280 1312 1392 1424  768 786 789 807 (16.2 kHz)
[507128.460] (**) DUMMY(0):  Mode "1280x762": 22.9 MHz, 16.1 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x762"x20.1   22.93  1280 1312 1392 1424  762 780 783 801 (16.1 kHz)
[507128.460] (**) DUMMY(0):  Mode "720x1280": 30.2 MHz, 33.7 kHz, 25.1 Hz
[507128.460] (II) DUMMY(0): Modeline "720x1280"x25.1   30.22  720 752 864 896  1280 1309 1315 1345 (33.7 kHz)
[507128.460] (**) DUMMY(0):  Mode "1280x720": 27.4 MHz, 18.9 kHz, 25.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x720"x25.0   27.41  1280 1312 1416 1448  720 737 740 757 (18.9 kHz)
[507128.460] (**) DUMMY(0):  Mode "720x1242": 29.2 MHz, 32.9 kHz, 25.2 Hz
[507128.460] (II) DUMMY(0): Modeline "720x1242"x25.2   29.20  720 752 856 888  1242 1271 1276 1305 (32.9 kHz)
[507128.460] (**) DUMMY(0):  Mode "1280x682": 25.9 MHz, 18.0 kHz, 25.0 Hz
[507128.460] (II) DUMMY(0): Modeline "1280x682"x25.0   25.85  1280 1312 1408 1440  682 698 701 717 (18.0 kHz)
[507128.460] (**) DUMMY(0):  Mode "1024x768": 18.7 MHz, 16.2 kHz, 20.1 Hz
[507128.460] (II) DUMMY(0): Modeline "1024x768"x20.1   18.71  1024 1056 1120 1152  768 786 789 807 (16.2 kHz)
[507128.461] (**) DUMMY(0):  Mode "768x1024": 24.9 MHz, 27.1 kHz, 25.2 Hz
[507128.461] (II) DUMMY(0): Modeline "768x1024"x25.2   24.93  768 800 888 920  1024 1047 1052 1076 (27.1 kHz)
[507128.461] (**) DUMMY(0):  Mode "768x1024": 19.5 MHz, 21.6 kHz, 20.0 Hz
[507128.461] (II) DUMMY(0): Modeline "768x1024"x20.0   19.50  768 800 872 904  1024 1048 1052 1076 (21.6 kHz)
[507128.461] (**) DUMMY(0):  Default mode "1024x768i": 44.9 MHz, 35.5 kHz, 86.9 Hz (I)
[507128.461] (II) DUMMY(0): Modeline "1024x768i"x86.9   44.90  1024 1032 1208 1264  768 768 776 817 interlace +hsync +vsync (35.5 kHz d)
[507128.461] (**) DUMMY(0):  Mode "768x986": 23.9 MHz, 26.0 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "768x986"x25.1   23.90  768 800 888 920  986 1009 1013 1036 (26.0 kHz)
[507128.461] (**) DUMMY(0):  Mode "1024x730": 22.5 MHz, 19.3 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "1024x730"x25.1   22.50  1024 1056 1136 1168  730 747 750 767 (19.3 kHz)
[507128.461] (**) DUMMY(0):  Default mode "960x720": 170.7 MHz, 128.5 kHz, 85.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "960x720"x85.0  170.68  960 1036 1144 1328  720 720 722 756 doublescan -hsync +vsync (128.5 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "960x720": 148.5 MHz, 112.5 kHz, 75.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "960x720"x75.0  148.50  960 1032 1144 1320  720 720 722 750 doublescan -hsync +vsync (112.5 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "960x720": 117.0 MHz, 90.0 kHz, 60.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "960x720"x60.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "928x696": 144.0 MHz, 112.5 kHz, 75.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "928x696"x75.0  144.00  928 992 1104 1280  696 696 698 750 doublescan -hsync +vsync (112.5 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "928x696": 109.2 MHz, 86.4 kHz, 60.1 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "928x696"x60.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[507128.461] (**) DUMMY(0):  Mode "600x1024": 19.9 MHz, 27.0 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "600x1024"x25.1   19.90  600 632 704 736  1024 1047 1052 1076 (27.0 kHz)
[507128.461] (**) DUMMY(0):  Default mode "896x672": 130.5 MHz, 106.3 kHz, 75.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "896x672"x75.0  130.50  896 944 1052 1228  672 672 674 708 doublescan -hsync +vsync (106.3 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "896x672": 102.4 MHz, 83.7 kHz, 60.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "896x672"x60.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[507128.461] (**) DUMMY(0):  Mode "600x986": 19.1 MHz, 25.9 kHz, 25.0 Hz
[507128.461] (II) DUMMY(0): Modeline "600x986"x25.0   19.07  600 632 704 736  986 1009 1013 1036 (25.9 kHz)
[507128.461] (**) DUMMY(0):  Mode "1024x562": 17.0 MHz, 14.8 kHz, 25.0 Hz
[507128.461] (II) DUMMY(0): Modeline "1024x562"x25.0   17.03  1024 1056 1120 1152  562 575 578 591 (14.8 kHz)
[507128.461] (**) DUMMY(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
[507128.461] (II) DUMMY(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz d)
[507128.461] (**) DUMMY(0):  Mode "536x960": 16.7 MHz, 25.5 kHz, 25.3 Hz
[507128.461] (II) DUMMY(0): Modeline "536x960"x25.3   16.74  536 568 624 656  960 982 986 1009 (25.5 kHz)
[507128.461] (**) DUMMY(0):  Mode "960x536": 15.2 MHz, 14.1 kHz, 25.0 Hz
[507128.461] (II) DUMMY(0): Modeline "960x536"x25.0   15.23  960 992 1048 1080  536 548 551 563 (14.1 kHz)
[507128.461] (**) DUMMY(0):  Mode "536x922": 16.0 MHz, 24.4 kHz, 25.2 Hz
[507128.461] (II) DUMMY(0): Modeline "536x922"x25.2   16.01  536 568 624 656  922 943 947 969 (24.4 kHz)
[507128.461] (**) DUMMY(0):  Mode "600x800": 15.2 MHz, 21.1 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "600x800"x25.1   15.17  600 632 688 720  800 818 822 841 (21.1 kHz)
[507128.461] (**) DUMMY(0):  Mode "960x498": 14.1 MHz, 13.1 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "960x498"x25.1   14.09  960 992 1040 1072  498 509 511 523 (13.1 kHz)
[507128.461] (**) DUMMY(0):  Mode "600x762": 14.4 MHz, 20.2 kHz, 25.2 Hz
[507128.461] (II) DUMMY(0): Modeline "600x762"x25.2   14.39  600 632 680 712  762 779 783 801 (20.2 kHz)
[507128.461] (**) DUMMY(0):  Mode "800x562": 13.5 MHz, 14.8 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "800x562"x25.1   13.52  800 832 880 912  562 575 578 591 (14.8 kHz)
[507128.461] (**) DUMMY(0):  Default mode "840x525": 107.4 MHz, 93.9 kHz, 85.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "840x525"x85.0  107.38  840 904 992 1144  525 526 529 552 doublescan -hsync +vsync (93.9 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "840x525": 93.5 MHz, 82.3 kHz, 75.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "840x525"x75.0   93.50  840 900 988 1136  525 526 529 549 doublescan -hsync +vsync (82.3 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "840x525": 87.0 MHz, 76.6 kHz, 69.9 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "840x525"x69.9   87.00  840 900 988 1136  525 526 529 548 doublescan -hsync +vsync (76.6 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "840x525": 73.1 MHz, 65.3 kHz, 60.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "840x525"x60.0   73.12  840 892 980 1120  525 526 529 544 doublescan -hsync +vsync (65.3 kHz d)
[507128.461] (**) DUMMY(0):  Mode "480x854": 13.3 MHz, 22.5 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "480x854"x25.1   13.34  480 512 560 592  854 873 877 897 (22.5 kHz)
[507128.461] (**) DUMMY(0):  Mode "848x480": 12.1 MHz, 12.7 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "848x480"x25.1   12.09  848 880 920 952  480 491 493 505 (12.7 kHz)
[507128.461] (**) DUMMY(0):  Mode "480x810": 12.6 MHz, 21.6 kHz, 25.3 Hz
[507128.461] (II) DUMMY(0): Modeline "480x810"x25.3   12.59  480 512 552 584  810 828 832 851 (21.6 kHz)
[507128.461] (**) DUMMY(0):  Mode "480x800": 12.4 MHz, 21.3 kHz, 25.3 Hz
[507128.461] (II) DUMMY(0): Modeline "480x800"x25.3   12.43  480 512 552 584  800 818 822 841 (21.3 kHz)
[507128.461] (**) DUMMY(0):  Mode "800x480": 11.5 MHz, 12.7 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "800x480"x25.1   11.46  800 832 872 904  480 491 493 505 (12.7 kHz)
[507128.461] (**) DUMMY(0):  Mode "848x442": 11.1 MHz, 11.6 kHz, 25.1 Hz
[507128.461] (II) DUMMY(0): Modeline "848x442"x25.1   11.09  848 880 920 952  442 452 454 465 (11.6 kHz)
[507128.461] (**) DUMMY(0):  Default mode "700x525": 89.6 MHz, 93.8 kHz, 85.1 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "700x525"x85.1   89.63  700 752 828 956  525 525 527 551 doublescan -hsync +vsync (93.8 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "700x525"x74.8   77.90  700 732 892 956  525 526 532 545 doublescan +hsync +vsync (81.5 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "700x525": 72.5 MHz, 76.5 kHz, 70.1 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "700x525"x70.1   72.53  700 748 824 948  525 525 527 546 doublescan -hsync +vsync (76.5 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "700x525"x60.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[507128.461] (**) DUMMY(0):  Mode "480x762": 11.8 MHz, 20.2 kHz, 25.2 Hz
[507128.461] (II) DUMMY(0): Modeline "480x762"x25.2   11.79  480 512 552 584  762 779 783 801 (20.2 kHz)
[507128.461] (**) DUMMY(0):  Default mode "640x512": 78.8 MHz, 91.1 kHz, 85.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "640x512"x85.0   78.75  640 672 752 864  512 512 514 536 doublescan +hsync +vsync (91.1 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
[507128.461] (II) DUMMY(0): Modeline "640x512"x75.0   67.50  640 648 720 844  512 512 514 533 doublescan +hsync +vsync (80.0 kHz d)
[507128.461] (**) DUMMY(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "640x512"x60.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "720x450": 53.2 MHz, 55.9 kHz, 59.9 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "720x450"x59.9   53.25  720 760 836 952  450 451 454 467 doublescan -hsync +vsync (55.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 74.2 MHz, 85.9 kHz, 85.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "640x480"x85.1   74.25  640 672 752 864  480 480 482 505 doublescan +hsync +vsync (85.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
[507128.462] (II) DUMMY(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
[507128.462] (II) DUMMY(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
[507128.462] (II) DUMMY(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "640x480"x60.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 59.9 Hz
[507128.462] (II) DUMMY(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
[507128.462] (II) DUMMY(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "680x384": 36.0 MHz, 47.4 kHz, 60.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "680x384"x60.0   36.00  680 704 720 760  384 385 390 395 doublescan +hsync -vsync (47.4 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "680x384": 42.4 MHz, 47.7 kHz, 59.8 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "680x384"x59.8   42.38  680 716 784 888  384 385 390 399 doublescan -hsync +vsync (47.7 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
[507128.462] (II) DUMMY(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 71.7 MHz, 91.5 kHz, 100.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x100.1   71.73  576 616 680 784  432 432 434 457 doublescan -hsync +vsync (91.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 60.8 MHz, 77.5 kHz, 85.2 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x85.2   60.75  576 608 672 784  432 432 434 455 doublescan +hsync -vsync (77.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 59.8 MHz, 77.1 kHz, 85.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x85.1   59.83  576 612 676 776  432 432 434 453 doublescan -hsync +vsync (77.1 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x75.0   54.00  576 608 672 800  432 432 434 450 doublescan +hsync +vsync (67.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 52.5 MHz, 67.6 kHz, 75.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x75.0   52.49  576 612 676 776  432 432 434 451 doublescan -hsync +vsync (67.6 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 48.4 MHz, 63.0 kHz, 70.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x70.0   48.38  576 612 672 768  432 432 434 450 doublescan -hsync +vsync (63.0 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "576x432": 40.8 MHz, 53.7 kHz, 60.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "576x432"x60.1   40.81  576 608 668 760  432 432 434 447 doublescan -hsync +vsync (53.7 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
[507128.462] (II) DUMMY(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "512x384i": 22.4 MHz, 35.5 kHz, 86.6 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "512x384i"x86.6   22.45  512 516 604 632  384 384 388 409 interlace doublescan +hsync +vsync (35.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "512x384"x85.0   47.25  512 536 584 688  384 384 386 404 doublescan +hsync +vsync (68.7 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "512x384": 39.4 MHz, 60.0 kHz, 75.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "512x384"x75.0   39.38  512 520 568 656  384 384 386 400 doublescan +hsync +vsync (60.0 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "512x384"x70.1   37.50  512 524 592 664  384 385 388 403 doublescan -hsync -vsync (56.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "512x384"x60.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "416x312"x74.7   28.64  416 432 464 576  312 312 314 333 doublescan -hsync -vsync (49.7 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "400x300"x85.3   28.15  400 416 448 524  300 300 302 315 doublescan +hsync +vsync (53.7 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "400x300"x75.1   24.75  400 408 448 528  300 300 302 312 doublescan +hsync +vsync (46.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "400x300"x72.2   25.00  400 428 488 520  300 318 321 333 doublescan +hsync +vsync (48.1 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "400x300"x60.3   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "400x300"x56.3   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "320x240"x85.2   18.00  320 348 376 416  240 240 242 254 doublescan -hsync -vsync (43.3 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "320x240"x75.0   15.75  320 328 360 420  240 240 242 250 doublescan -hsync -vsync (37.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "320x240"x72.8   15.75  320 332 352 416  240 244 246 260 doublescan -hsync -vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "320x240"x60.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "360x200": 17.8 MHz, 37.9 kHz, 85.0 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "360x200"x85.0   17.75  360 378 414 468  200 200 202 223 doublescan -hsync +vsync (37.9 kHz d)
[507128.462] (**) DUMMY(0):  Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
[507128.462] (II) DUMMY(0): Modeline "320x175"x85.3   15.75  320 336 368 416  175 191 192 222 doublescan +hsync -vsync (37.9 kHz d)
[507128.462] (++) DUMMY(0): DPI set to (96, 96)
[507128.462] (II) Loading sub module "fb"
[507128.462] (II) LoadModule: "fb"
[507128.463] (II) Loading /usr/lib/xorg/modules/libfb.so
[507128.463] (II) Module fb: vendor="X.Org Foundation"
[507128.463]    compiled for 1.15.1, module version = 1.0.0
[507128.463]    ABI class: X.Org ANSI C Emulation, version 0.4
[507128.463] (II) Loading sub module "ramdac"
[507128.463] (II) LoadModule: "ramdac"
[507128.463] (II) Module "ramdac" already built-in
[507128.463] (--) Depth 24 pixmap format is 32 bpp
[507128.463] (II) DUMMY(0): Using 1600 scanlines of offscreen memory
[507128.463] (==) DUMMY(0): Backing store enabled
[507128.463] (==) DUMMY(0): Silken mouse enabled
[507128.463] (WW) DUMMY(0): Option "UseEdidDpi" is not used
[507128.463] (==) RandR enabled
[507128.467] (II) SELinux: Disabled on system
[507128.468] (II) AIGLX: Screen 0 is not DRI2 capable
[507128.468] (EE) AIGLX: reverting to software rendering
[507128.480] (II) AIGLX: Loaded and initialized swrast
[507128.480] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[507128.519] (II) XKB: generating xkmfile /tmp/server-02D8252E59564A234380F1E5417646A9DB3B7452.xkm
[507128.541] (II) Using input driver 'void' for 'dummy_mouse'
[507128.541] (**) Option "CorePointer" "true"
[507128.541] (**) dummy_mouse: always reports core events
[507128.541] (II) XINPUT: Adding extended input device "dummy_mouse" (type: Void, id 6)
[507128.541] (**) dummy_mouse: (accel) keeping acceleration scheme 1
[507128.541] (**) dummy_mouse: (accel) acceleration profile 0
[507128.541] (**) dummy_mouse: (accel) acceleration factor: 2.000
[507128.541] (**) dummy_mouse: (accel) acceleration threshold: 4
[507128.541] (II) Using input driver 'void' for 'dummy_keyboard'
[507128.541] (**) Option "CoreKeyboard" "true"
[507128.541] (**) dummy_keyboard: always reports core events
[507128.541] (II) XINPUT: Adding extended input device "dummy_keyboard" (type: Void, id 7)
[507128.541] (**) dummy_keyboard: (accel) keeping acceleration scheme 1
[507128.541] (**) dummy_keyboard: (accel) acceleration profile 0
[507128.541] (**) dummy_keyboard: (accel) acceleration factor: 2.000
[507128.541] (**) dummy_keyboard: (accel) acceleration threshold: 4
[507128.543] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[507128.543] (II) AutoAddDevices is off - not adding device.
[507128.543] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[507128.543] (II) AutoAddDevices is off - not adding device.
[507128.543] (II) config/udev: Adding drm device (/dev/dri/card0)
[507128.543] (II) xfree86: Adding drm device (/dev/dri/card0)
[507128.543] (II) config/udev: Ignoring already known drm device (/dev/dri/card0)
[507478.989] (EE) Server terminated successfully (0). Closing log file.

Also, when running xpra on the server from the command line I get this:

easyprot@phenyx:~$ xpra --no-daemon --bind-tcp=0.0.0.0:10000 start :10

X.Org X Server 1.15.1
Release Date: 2014-04-13
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu
Current Operating System: Linux phenyx 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/VolGroup00-lvol0 ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw
Build Date: 16 April 2014  01:36:29PM
xorg-server 2:1.15.1-0ubuntu2 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.30.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/home/easyprot/.xpra/Xorg.:10.log", Time: Mon Aug 25 11:40:01 2014
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension SECURITY
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension Present
Initializing built-in extension DRI3
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
2014-08-25 11:40:01,475 server uuid is 086e928233d949deb661563f2f55b43e
2014-08-25 11:40:01,552 using notification forwarder: DBUSNotificationsForwarder(org.freedesktop.Notifications)
2014-08-25 11:40:01,559 csc module csc_opencl could not be loaded: No module named pyopencl
2014-08-25 11:40:01,572 started child '/etc/X11/Xsession true' with pid 4068
2014-08-25 11:40:01,572 xpra server version 0.12.3
2014-08-25 11:40:01,572 running with pid 4045
2014-08-25 11:40:01,613 xpra is ready.
2014-08-25 11:40:01,680 child '/etc/X11/Xsession true' with pid 4068 has terminated

The xpra logfile looks the same as in the former case.

What is wrong?

Change History (3)

comment:1 Changed 5 years ago by Antoine gmail

Description: modified (diff)
Owner: set to Antoine gmail
Status: newaccepted

(just tidying up ticket format for now)

comment:2 Changed 5 years ago by Antoine gmail

The error in your log was caused by winswitch trying to grab an existing xpra session on display :117 so it could manage it. But this session seems to be password protected and it failed with the ugly stacktrace you spotted, this should be fixed in r5294: we will just ignore the session with a less scary error message.

But this should not have caused new sessions to fail...
This however, will:

[DD] 2014/25/08 11:34:17.567215 XpraServerUtil.check_session_has_started() status=starting, preload=False

It looks like the client never connected to the session you had started, and so the server then decides to kill it. (because it was stuck in starting state for over 30 seconds)

You should verify your connection settings, and if using SSH, ensure that it is allowed to create TCP tunnels. It could also be a library issue, I will have to test winswitch on Ubuntu Trusty when I get a chance.

comment:3 Changed 3 years ago by Antoine gmail

Owner: changed from Antoine gmail to madsurgeon
Status: acceptedassigned

Please see #285 and close if this is the same issue.

Note: See TracTickets for help on using tickets.